#include <string>
#include <SDL/SDL.h>
using namespace std;

class Event {
	public:
		string title;
		int month;
		int day;
		int year;
		int hour;
		string event;
		string note[5];
		void clear() {
			int count;
			
			month = -1;
			day = 0;
			year = 0;
			event = "";
			
			for (count = 0; count < 5; count++) {
				note[count] = "";
			}
		}
		
	private:
};

void initCalendar(int cday, int cmon, int cyear);
void saveCalendar(void);
void loadCalendar(void);
void displayCalendar(SDL_Surface* surface);
void getCalendarInput(void);
void getCalendarMenuInput(void);
void displayCalendarMenu(void);
int weekDay(int day,int mon,int yr);
string getMonth(int mon);
string getDay(int d);
int getNumDays(int mon,int yr);
void setCalendar(int mon,int yr);
