/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include "subprogram.h"
#include "calc.hh"
#include "imageviewer.h"
#include "calendar.h"
#include "calculator.h"
#include "addressbook.h"
#include "clock.h"



SDL_Surface *img_text, *img_background, *img_arrow, *img_arrows, *img_dirbuttons, *img_editbuttons, *img_check, *img_doc, *img_dot, *img_folder, *img_music, *img_pic, *img_space, *im_screen;
SDL_Surface *img_rckeys, *img_lckeys, *img_lcskeys, *img_rcskeys, *img_lkeys, *img_rkeys, *img_lskeys, *img_rskeys, *img_calckeys;
SDL_Surface *img_textbackground, *img_menubar, *tmp, *img_view, *img_test, *screen;
SDL_Surface *img_addressbookicon, *img_fileicon, *img_calendaricon, *img_calculatoricon, *img_notepadicon, *img_musicicon, *img_photoicon, *img_clockicon, *img_settingsicon;
SDL_Color sdlwhite = { 0xFF, 0xFF, 0xFF, 0 };
SDL_Color sdlblack = { 0x00, 0x00, 0x00, 0 };
SDL_Color sdlgrey = { 0xC8, 0xC8, 0xC8, 0 };
SDL_Color sdldarkgrey = { 0x7D, 0x7D, 0x7D, 0 };
SDL_Color sdlred = { 0xFF, 0x00, 0x00, 0 };
SDL_Color sdlgreen = { 0x00, 0xFF, 0x00, 0 };
SDL_Color sdlblue = { 0x00, 0x00, 0xFF, 0 };
SDL_Color forecol, fgcol, bgcol;
Uint32 backcol, white, black, grey, lightgrey, darkgrey, red, green, blue, cursorcol;
SDL_Rect dest;
TTF_Font *font, *drawfont, *drawfont10, *drawfont12, *drawfont14, *drawfont16, *drawfont50, *systemfont;
int ndCol = 7, ndLine = 12, nFontsize = 12, minlines = 14, maxlines = 21; 


codecStubs stubs[100];
int codecnum=0;
char *audiofile;
codecStubs *decoder;
int codec;

string openfile = "Untitled.doc";
string readfile, currentdir = "ms0:";
vector <string> text, settings;
vector <string> wraptext;

SceIoDirent g_dir;
vector <Dir> dir;
vector <string> dirimage;
vector <string> diraudio;

bool bUpdate = false, bmUpdate = false, isplaying = false, ispaused = false, shuffled = false, bAlarm = false;
bool caps = false, shift = false, transition = false, padrelease, usb = true;
bool wordwrap = false, wordwrap1 = false, wordwrap2 = false, bview = false, btest = false;
int blink = 0, cursor = 0, scrollx = 0, scrolly = 0, ly = 0, lx = 0, ry = 0, rx = 0, line = 0, insertline = 0, list;
int wait, waitslow, nMaxchar = 66, nWW, nKeyset = 2, nCol = 7, nLine = 12, mode = 0, menu = 0, menucursor, dirselect = 0, ;
int waitanalog = 120, waitdigital = 100, waitpress = 200;
SceCtrlData pad;
SceCtrlLatch latch;
u32 state, oldpad1;
int blx,bly,blh;
int submenu = 0, submenucursor = 1, submenupos = 10, submenu2 = 0, submenucursor2 = 1, subselect = 0;
int nMaxinput = 36, menumode = 0;
int dircursor = 0, dirscroll = 0, nDir = 0, dirmaxlines = 10, directorymode = 1;	
string photodir = "ms0:/psp/photo";
int tzHour = -8;

vector <int> bookmark;
vector <int> bookmark2;

//int entry=0, bookselect=0, bookcursor=0, bookscroll=0, bookmaxlines = 10;
//bool newaddress = false;
//Address address;
//vector <Address> book;

extern "C" int SDL_main( int argc, char *argv[] );

int main(int argc, char *argv[])
{
	int count, retval, ax = 1, ay = 1;
	string readline;
	string debugtext;
	bool found;
	int loc, bm;
	char sizestring[255];
	u32 ticks, endticks, readticks;
	int endtext;	
	
	int mark1[2] = {-1,-1}, mark2[2] = {-1,-1}, temp[2] = {0,0};

	int colcursor = 1, inputcursor = 0;
	int audindex = 0;
	int findfirst=0, findline=0, findlast=0;
	
	vector <string> copytext;
	string findtext, renamefile, oldfile, textfile;
	string replacetext, deletefile, gotoline;
	string savename, dirname;
	int  nText, num, testline;
	bool bTabbed = false;
	string textscroll, temptext;
	string readkey;
	int lastmode = 1, menupos = 10;

	bool blUpdate = false;
	
		
	int current = -1, current2 = -1;
	ofstream writefile;
	ofstream settingsfile;
	string savefile;

	
	time_t tTime;
	struct tm * tmTime;
	
	int month,year;
	//char path[256];
	//getcwd(path, 256);
	string upcurrentdir = "", filedir = "ms0:", audiodir = "ms0:/psp/music", audiopath = "ms0:/psp/music";

	ifstream file;
	setfunctions();
	
	pspAudioInit();
	loadUsbDrivers();
	
	int stubnum = 0;
	CODEC_INITSTUBS codecnum = stubnum;
	
	text.clear();
	text.push_back("");
	nText = text.size();

	sceCtrlSetSamplingCycle(0);
	sceCtrlSetSamplingMode(PSP_CTRL_MODE_ANALOG);
	
	
	
	if (usb) retval = sceUsbActivate(0x1c8);	
	

	/* Initialize the SDL library */
	if ( SDL_Init(SDL_INIT_TIMER|SDL_INIT_VIDEO) < 0 ) {
		fprintf(stderr, "Couldn't initialize SDL: %s\n",SDL_GetError());
		return(255);
	}
	
	/* Initialize the TTF library */
	if ( TTF_Init() < 0 ) {
		fprintf(stderr, "Couldn't initialize TTF: %s\n",SDL_GetError());
		return(2);
	}
	atexit(TTF_Quit);

	atexit(SDL_Quit);
	
	screen = SDL_SetVideoMode(480, 272, 32, SDL_FULLSCREEN | SDL_SWSURFACE | SDL_DOUBLEBUF);	
	if(load_gfx()){
		fprintf(stderr, "Error: %s\n", SDL_GetError());
		exit(1);	
	}
	im_screen = SDL_DisplayFormat(screen);
	set_colors(screen->format);
	
	//SDL_FillRect(img_textbackground, NULL, white);
	sge_ClearSurface(screen, 0xFFFFFFFF);
	loadSettings();
	bUpdate = true;
	bmUpdate = true;
	padrelease = true;
	readticks = SDL_GetTicks();
	endticks = SDL_GetTicks();
	initTimezone();
	while(1) {
	
	//time ( &tTime);
	//tTime+= (tzHour*60*60);
	//tmTime = localtime(&tTime);
	//tmTime->tm_hour+=tzHour;
	//if (tmTime->tm_hour > 12) tmTime->tm_hour-=12;	
	
	
		//SDL_FillRect(im_screen, NULL, black);
		
		if (!bAlarm)
		{
			checkClock();
		}
		
		ticks = SDL_GetTicks();
				
		if (ticks - readticks >= wait) {	
			sceCtrlReadBufferPositive(&pad, 1); 
			sceCtrlReadLatch(&latch);
			if (latch.uiRelease == -1) {
				padrelease = true;
				transition = false;
			}
			readticks = ticks;
			wait = 1;
		}
		else {
			pad.Buttons = 0;
			pad.Lx = 127;
			pad.Ly = 127;
		}
		
		if (ticks - endticks >= 1000)
		{
			endticks = ticks;
			bmUpdate = true;
		}
		
		blink++;

		if (blink == 60 || bmUpdate || bUpdate) blink = 0;
		if (blink == 0) {
			blUpdate = true;
			cursorcol = blue;
		}
		if (blink == 30) {
			blUpdate = true;
			if (mode > 0 && mode < 4 && menumode == 0) cursorcol = backcol;
			else cursorcol = white;
		}		
		nText = text.size();
		
		if (padrelease) {
			if (pad.Buttons & PSP_CTRL_SELECT) {
				lastmode = mode;				
				if (menumode > 3) mode = lastmode;
				else if (menumode > 0 && menumode < 4) 
				{
					if (menumode == 2 && getAddressBookSize() == 0) mode = 0;
					else {					
						mode = 5;
						initAddressBook();
					}
				}
				else if (mode == 1) mode = 2;
				else if (mode == 2 || mode == 3) mode = 1;
				else mode = 0;
				if (nText > minlines && (scrolly + nText < minlines)) scrolly = minlines - nText;
				mark1[0] = -1;
				mark1[1] = -1;
				mark2[0] = -1;
				mark2[1] = -1;
				update();
				if (menumode == SETCLOCKMENU || menumode == WORLDCLOCK) menumode = CLOCK;
				else menumode = 0;				
				menu = 0;
				submenu = 0;
				submenu2 = 0;
				wait = 200;
				padrelease = false;
			}
			
			if (pad.Buttons & PSP_CTRL_START) {
				if (menumode == 7) {
					menumode = 6;
				}
				else if (menumode == 6) {
					directorymode = 1;
					listDirectory(filedir);
					nDir = dir.size();
					dircursor = 0;
					dirselect = 0;
					dirscroll = 0;
					menumode = 7;
				}
				else if (menu > 0) {
						menu = 0;
						submenu = 0;
						submenu2 = 0;
					}
				else {
					lastmode = mode;
					menucursor = 1;
					if (mode == 1) menu = 1;
					else if (mode == 2) menu = 2;
					else if (mode == 3) menu = 3;
					else if (mode == 4) menu = 5;
					else if (mode == 6) {
								menu = 6;
								submenu = 1;
								submenu2 = 1;
								submenucursor = 1;
								submenucursor2 = 1;
								subselect = 0;
							}
					else menu = 1;
				}
				update();
				wait = 200;
				padrelease = false;
			}
		}		
	
		if (menu == 0) {
			if (menumode == 0) {
			
			if (mode == 0) {
				if (pad.Buttons & PSP_CTRL_UP || pad.Ly == 0) {
					if (ay == 1) ay = 3;
					else ay--;
					wait = 120;
					bmUpdate = true;
				}
				if (pad.Buttons & PSP_CTRL_DOWN || pad.Ly == 255) {
					if (ay == 3) ay = 1;
					else ay++;
					wait = 120;					
					bmUpdate = true;					
				}
				if (pad.Buttons & PSP_CTRL_LEFT || pad.Lx == 0) {
					if (ax == 1) ax = 3;
					else ax--;
					wait = 180;
					bmUpdate = true;						
				}
				if (pad.Buttons & PSP_CTRL_RIGHT || pad.Lx == 255) {
					if (ax == 3) ax = 1;
					else ax++;
					wait = 180;
					bmUpdate = true;						
				}		
				if (pad.Buttons & PSP_CTRL_CROSS && !transition) {
					if (ax == 1 && ay == 1) mode = 1;
					if (ax == 2 && ay == 1) {
						loadBook();
						mode = 5;
						menumode = 0;
						initAddressBook();
					}
					if (ax == 3 && ay == 1) {
						mode = 7;
						menumode = 0;
						time (&tTime);
						tmTime = localtime(&tTime);
						if (tmTime->tm_hour > 12) tmTime->tm_hour-=12;
						year = tmTime->tm_year+1900;
						month = tmTime->tm_mon+1;
						initCalendar(tmTime->tm_mday, month, year);
						setCalendar(month,year);
					}
					if (ax == 1 && ay == 2) {
						mode = 6;
						menumode = 0;
						initCalculator();					
					}
					if (ax == 2 && ay == 2) {
						directorymode = 2;
						listDirectory(audiodir);
						menumode = 5;
						nDir = dir.size();
						dircursor = 0;
						dirselect = 0;
						dirscroll = 0;			
					}
					if (ax == 3 && ay == 2) {
						directorymode = 3;
						listDirectory(photodir);
						menumode = 5;
						nDir = dir.size();
						dircursor = 0;
						dirselect = 0;
						dirscroll = 0;			
					}
					if (ax == 1 && ay == 3) {						
						directorymode = 1;
						listDirectory(filedir);
						menumode = 5;
						nDir = dir.size();
						dircursor = 0;
						dirselect = 0;
						dirscroll = 0;					
					}
					if (ax == 2 && ay == 3) {
						menumode = CLOCK;
					}
					padrelease = false;
					transition = true;
					bmUpdate = true;
					menu = 0;
				}
			}
			if (mode == KEYBOARD) {
				readKeyboard();
				readkey = readKey();
				if (readkey != "") {
					if (readkey == "bs") {
						if (cursor == text[line].size()+1) 
							text[line] = text[line].substr( 0, text[line].size() - 1);
						else if (cursor > 0)
							text[line] = text[line].substr( 0, cursor - 1) + text[line].substr(cursor, text[line].size() - 1);
							
						cursor--;
						if (cursor < 0 && line > 0) {
							line--;
							cursor = text[line].size();
							if (text[line+1].size() > 0) text[line] = text[line] + text[line+1];
							text.erase(text.begin()+line+1);
							nText = text.size();
						}
						if (cursor < 0) cursor = 0;
						if (line + scrolly < 0) scrolly = scrolly + 1;
						if (cursor + scrollx == 0) scrollx = scrollx + 4;
						if (scrollx > 0) scrollx = 0;
					}
					else if (readkey == "en") {
							if (line == nText - 1) {
								text.resize(nText+1,"");
								if (cursor < text[line].size()) {
									text[line+1] = text[line].substr(cursor);
									text[line] = text[line].substr(0,cursor);
								}
								line++;
								cursor = 0;
							}
							if (line < nText - 1) {
								text.resize(nText+1);
								nText++;
								count = nText-1;
								while (count > line) {
									text[count] = text[count - 1];
									count--;
								}
								if (cursor < text[line].size()) {
									text[line+1] = text[line].substr(cursor);
									text[line] = text[line].substr(0,cursor);
								}
								else text[line+1] = "";
								line++;
								cursor = 0;
								scrollx = 0;
							}
							if (line + scrolly > minlines - 1) scrolly--;
					}				
					else {
						text[line].insert(cursor,readkey);

						cursor++;
						if (readkey == "     ") cursor = cursor + 4;
						
						if (cursor > (nMaxchar - 2) - scrollx) scrollx = scrollx - 4;
					}
					if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar)) scrollx = 0 - cursor;
					if ((line + scrolly < 0) || (line + scrolly > minlines)) scrolly = 0 - line;
					if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
		
					update();
				}
			
			}
			
	if (mode == EDIT) {   
		if (pad.Buttons & PSP_CTRL_UP) {
			line--;
			if (line < 0) line = 0;
			if (cursor > text[line].size()) cursor = text[line].size();
			if ((line + scrolly) < 0) scrolly++;
			if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar-1)) scrollx = 0 - cursor;
			if ((line + scrolly < 0) || (line + scrolly > minlines-1)) scrolly = 0 - line;
			if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
			update();
			wait = 40;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			line++;
			if (line == nText) line = nText-1;
			if (cursor > text[line].size()) cursor = text[line].size();
			if (line + scrolly > minlines - 1 && line < nText) scrolly = scrolly--;
			if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar)) scrollx = 0 - cursor;
			if ((line + scrolly < 0) || (line + scrolly > minlines)) scrolly = 0 - line;
			if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
			update();
			wait = 40;
		}
		
		if (pad.Buttons & PSP_CTRL_LEFT) {
			cursor--;
			if (cursor < 0 && line == 0 && scrollx >= 0) cursor = 0;
			if (cursor < 0 && line > 0 && scrollx >= 0) {
				line--;
				cursor = text[line].size();
			}
			if ((cursor + scrollx) < 0) {
				scrollx = scrollx + 4;
				if (scrollx > 0) {
					scrollx = 0;
				}
			}
			if (cursor > (nMaxchar - 2 - scrollx)) scrollx = scrollx - 4;
			if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar - 1)) scrollx = 0 - cursor;
			if ((line + scrolly < 0) || (line + scrolly > minlines - 1)) scrolly = 0 - line;
			if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;				
			update();
			wait = 40;
		}
		
		if (pad.Buttons & PSP_CTRL_RIGHT) {
			cursor++;
			if (cursor > text[line].size() && line < nText - 1) {
				cursor = 0;
				line++;
			}
			if (cursor > text[line].size() && line == nText - 1) cursor = text[line].size();
			if ((cursor + scrollx) < 0) scrollx = scrollx + 4;
			
			if (cursor > (nMaxchar - 2 - scrollx)) scrollx = scrollx - 4;
			if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar - 1)) scrollx = 0 - cursor;
			if ((line + scrolly < 0) || (line + scrolly > minlines - 1)) scrolly = 0 - line;
			if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;				
			update();
			wait = 40;
		}

		if (pad.Buttons & PSP_CTRL_RTRIGGER && nText > minlines) {
			line = line + minlines - 1;
			scrolly = scrolly - minlines + 1;
			if (line + minlines > nText) {
				if (line >= nText) line = nText-1;
				scrolly = minlines - nText;
			}
			if (cursor > text[line].size()) {
				cursor = text[line].size();
			}
			update();
			wait = 80;
		}
		if (pad.Buttons & PSP_CTRL_LTRIGGER) {
			line = line - minlines + 1;
			scrolly = scrolly + minlines - 1;
			if ((line - minlines - 1) < 0) {
				if (line < 0) line = 0;
				scrolly = 0;
			}
			if (cursor > text[line].size()) {
				cursor = text[line].size();
			}
			update();
			wait = 80;
		}

		if (padrelease) {

			if (pad.Buttons & PSP_CTRL_TRIANGLE) {
				if (mark2[0] != -1) {
					mark1[0] = -1;
					mark1[1] = -1;
					mark2[0] = -1;
					mark2[1] = -1;
				}
				else if (mark1[0] == -1) {
					mark1[0] = cursor;
					mark1[1] = line;
				}
				else if (mark1[0] != -1) {
					mark2[0] = cursor;
					mark2[1] = line;
					if ((mark2[0] < mark1[0] && mark2[1] <= mark1[1]) || (mark2[1]  < mark1[1])) {
						temp[0] = mark1[0];
						temp[1] = mark1[1];
						mark1[0] = mark2[0];
						mark1[1] = mark2[1];
						mark2[0] = temp[0];
						mark2[1] = temp[1];
					}					 			
				}	
				if (mark1[0] == mark2[0] && mark1[1] == mark2[1]) {
					mark1[0] = -1;
					mark1[1] = -1;
					mark2[0] = -1;
					mark2[1] = -1;
				}
				update();
				wait = 200;
				padrelease = false;
			}

	
			if (pad.Buttons & PSP_CTRL_SQUARE) {
				findfirst = text[line].find_first_not_of(" ");
				if (findfirst == string::npos) {
					findfirst = 0;
				}
				if (cursor != findfirst && findfirst != 0) {				
					cursor = findfirst;
					if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar - 1)) scrollx = nMaxchar - cursor - 4;	
				}
				else {
					cursor = 0;
					scrollx = 0;
				}
				
				if (line < 0 - scrolly || line > minlines - scrolly - 1) scrolly = 0 - line;
				
				update();
				wait = 200;
				padrelease = false;
			}
	
			if (pad.Buttons & PSP_CTRL_CIRCLE) {
				cursor = text[line].size();
				if (cursor + scrollx < 0 || cursor + scrollx > nMaxchar - 1) scrollx = nMaxchar - cursor - 4;
				if (line < 0 - scrolly || line > minlines - scrolly - 1) scrolly = 0 - line;				
				update();
				padrelease = false;
			}
		}				
	}
	
	if (mode == FULLSCREEN) {
		if (wordwrap) {
			num = nWW;
		}
		else {
			num = nText;
		}

		if (pad.Buttons & PSP_CTRL_DOWN) {
			if ((num + scrolly) > minlines && mode < 3) {
				scrolly--;
				wait = 10;
			}
			if ((num + scrolly) > maxlines && mode == 3) {
				scrolly--;
				wait = 10;
			}
			update();
		}
		if (pad.Buttons & PSP_CTRL_UP) {
			if (scrolly != 0) {
				scrolly++;
				wait = 10;
			}
			update();
		}

		if (!wordwrap) {
			if (pad.Buttons & PSP_CTRL_RIGHT) {
				scrollx--;
				wait = 10;
				update();
			}
			if (pad.Buttons & PSP_CTRL_LEFT) {
				if (scrollx != 0) {
					scrollx++;
					wait = 10;
				}
				update();
			}
		}
				
		if (pad.Buttons & PSP_CTRL_RTRIGGER && num > maxlines) {
			scrolly = scrolly - maxlines + 1;
			if (scrolly + num < maxlines) {
				scrolly = maxlines - num;
			}
			update();
			wait = 80;
		}
		if (pad.Buttons & PSP_CTRL_LTRIGGER) {
			scrolly = scrolly + maxlines - 1;
			if (scrolly > 0) scrolly = 0;
	
			update();
			wait = 80;
		}
	}
	
	if (mode == KEYBOARD && nKeyset == 1) {
		if (mode != 3 || (mode == 3 && !wordwrap)) {
			if (pad.Buttons & PSP_CTRL_LEFT) {
				if (scrollx != 0) {
					scrollx++;
					wait = 10;
				}
				update();			
			}		
			if (pad.Buttons & PSP_CTRL_RIGHT) {
				scrollx--;
				wait = 10;
				update();
			}
		}

		
		if (pad.Buttons & PSP_CTRL_UP) {
			if (scrolly != 0) {
				scrolly++;
				wait = 10;
			}
			update();
		}
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if (wordwrap) num = nWW;
			else num = nText;
			if ((num + scrolly) > minlines and mode < FULLSCREEN) {
				scrolly--;
				wait = 10;
			}
			if ((num + scrolly) > maxlines and mode == FULLSCREEN) {
				scrolly--;
				wait = 10;
			}
			update();
		}
	}
	
	if (mode < 4 && !(mode == KEYBOARD && nKeyset==1)) {
		if (mode != FULLSCREEN || (mode == FULLSCREEN && !wordwrap)) {
			if (pad.Lx == 0) {
				if (scrollx != 0) {
					scrollx++;
					wait = 10;
				}
				update();			
			}		
			if (pad.Lx == 255) {
				scrollx--;
				wait = 10;
				update();
			}
		}

		
		if (pad.Ly == 0) {
			if (scrolly != 0) {
				scrolly++;
				wait = 10;
			}
			update();
		}
		if (pad.Ly == 255) {
			if (wordwrap) num = nWW;
			else num = nText;
			if ((num + scrolly) > minlines and mode < FULLSCREEN) {
				scrolly--;
				wait = 10;
			}
			if ((num + scrolly) > maxlines and mode == FULLSCREEN) {
				scrolly--;
				wait = 10;
			}
			update();
		}
	}

	if (mode == IMAGE) {
		getImageViewerInput();
	}
	
	if (mode == ADDRESSBOOK) {
		getAddressBookInput();
	}
	
	if (mode == CALCULATOR) {
		getCalculatorInput();		
	}
	
	if (mode == CALENDAR) {
		getCalendarInput();
	}
	
	} // end mode
	
	if (mode == ADDRESSBOOK) {
		getAddressBookMenuInput();
	}
	
	if (mode == CALENDAR) {
		getCalendarMenuInput();
	}


	if (menumode == 5 || menumode == 7) {
	
		if (pad.Buttons & PSP_CTRL_UP) {
			if ((dirselect + dirscroll == 0) && dirselect > 0) dirscroll++;
			dirselect--;
			if (dirselect < 0) dirselect = 0;
			dircursor--;
			if (dircursor < 0) dircursor = 0;
	
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if ((dirselect + dirscroll == dirmaxlines-1) && dirselect < nDir-1) dirscroll--;
			dirselect++;
			if (dirselect == nDir) dirselect = nDir-1;
			dircursor++;
			if (dircursor == dirmaxlines) dircursor = dirmaxlines-1;
			
			if (dircursor == nDir) dircursor = nDir-1;
	
			wait = 100;
			bmUpdate = true;
		}
	}

	if (menumode == 5) {

		if (padrelease && !transition) {
			if (pad.Buttons & PSP_CTRL_SQUARE) {
				if (dir[dirselect].name != "." || dir[dirselect].name != "..") {
					oldfile = dir[dirselect].name;
					renamefile = "";
					inputcursor = 0;
					menumode = 13;
					bmUpdate = true;
				}
			}
			if (pad.Buttons & PSP_CTRL_TRIANGLE) {
				if (dir[dirselect].name != "." || dir[dirselect].name != "..") {
					deletefile = dir[dirselect].name;					
					menumode = 14;
					bmUpdate = true;
				}
			}			
			if (pad.Buttons & PSP_CTRL_CROSS) {
				if (directorymode == 1) currentdir = filedir;
				if (directorymode == 2) currentdir = audiodir;
				if (directorymode == 3) currentdir = photodir;
				if (dir[dirselect].isDir) {
					findlast = currentdir.find_last_of("/");
					if (findlast != string::npos) upcurrentdir = currentdir.substr(0,findlast);
					else upcurrentdir = "ms0:";
					
					if (dir[dirselect].name == "..") currentdir = upcurrentdir;
					else if (dir[dirselect].name != ".") currentdir = currentdir + "/" + dir[dirselect].name;
					
					listDirectory(currentdir);
					nDir = dir.size();
					dircursor = 0;
					dirselect = 0;
					dirscroll = 0;
					if (directorymode == 1) filedir = currentdir;
					if (directorymode == 2) audiodir = currentdir;
					if (directorymode == 3) photodir = currentdir;					
				}
				else {		
					readfile = currentdir + "/" + dir[dirselect].name;
					
					if (is_image(dir[dirselect].name)) {
						/*
						if (isplaying) {
							isplaying = false;
							decoder->stop();
							decoder->end();
						}
						*/
						text.clear();
						text.push_back("");
						nText = text.size();
						count = 1;
						cursor = 0;
						scrollx = 0;
						scrolly = 0;
						ly = 0;
						lx = 0;
						ry = 0;
						rx = 0;
						bookmark.clear();
						bookmark2.clear();
						current = -1;
						current2 = -1;
						mark1[0] = -1;
						mark1[1] = -1;
						mark2[0] = -1;
						mark2[1] = -1;
						line = 0;
						openfile = "Untitled.doc";
						
						mode = 4;
						menumode = 0;
						lastmode = 4;
						initImageViewer(currentdir,dir[dirselect].name);
					}
					else if (is_audio(dir[dirselect].name)) {
						/*
						if (mode == 4) {
							SDL_FreeSurface(img_test);
							SDL_FreeSurface(img_view);
							mode = 1;
						}
						*/
						//if (img_test) SDL_FreeSurface(img_test);
						
						if (bview) {
							SDL_FreeSurface(img_view);
							bview = false;
						}
						if (mode != 4 && mode != 7) {
							if (btest) SDL_FreeSurface(img_test);
							btest = false;
						}
							
						if (isplaying) {
							decoder->stop();
							decoder->end();
						}
						load_play(readfile.c_str());
						isplaying = true;
						bAlarm = false;
						audindex = 0;
						audiopath = currentdir;
						listAudioDirectory(currentdir);
						while (dir[dirselect].name != diraudio[audindex]) audindex++;
						menumode = 0;
					}
					else if (is_exec(dir[dirselect].name)) {
						SceKernelLoadExecParam	execParam;
						const u32				total_length( readfile.size() + 1 );
					
						execParam.args = total_length;
						execParam.argp = const_cast< char * >( readfile.data() );
						execParam.key = NULL;
						execParam.size = sizeof( execParam ) + total_length;
						sceKernelLoadExec( readfile.c_str(), &execParam );
					}
					else {
						text.clear();
						nText = text.size();
						count = 1;
						cursor = 0;
						scrollx = 0;
						scrolly = 0;
						ly = 0;
						lx = 0;
						ry = 0;
						rx = 0;
						current = -1;
						current = -1;
						bookmark.clear();
						bookmark2.clear();
						mark1[0] = -1;
						mark1[1] = -1;
						mark2[0] = -1;
						mark2[1] = -1;
						line = 0;
			
						readfile = currentdir + "/" + dir[dirselect].name;
						openfile = dir[dirselect].name;
						file.open(readfile.c_str());
						while (getline(file,readline,'\n')) {
							
							loc = readline.find((char) 13,0);
							if (loc != string::npos) readline.resize(readline.size()-1);
							loc = readline.find((char) 9,0);
							while (loc != string::npos) {
								readline.replace(loc,1,"     ");
								loc = readline.find((char) 9,0);
							}
							text.push_back(readline);
						}
						file.close();
						if (text.size() < 1) text.push_back("");
						loadBookmarks(readfile);
						textfile = readfile;
						mode = 3;
						menumode = 0;
						update();
						nText = text.size();
						if (wordwrap) {
							if (wordwrap2) { textWrap2(); }
							else { textWrap1(); }
						}
					}
				}
				wait = 200;
				padrelease = false;
				bmUpdate = true;
			}
			
		}
	}	

	if (menumode == 6) {
		if (padLeft()) {
			if (inputcursor > 0) {
				inputcursor--;
				wait = 120;
				bmUpdate = true;
			}
		}
		
		if (padRight()) {
			if (inputcursor < savefile.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
		}
		readKeyboard();
		readkey = readKey();
		if (readkey != "") {
			if (readkey == "bs") {
				if (inputcursor > 0 && savefile.size() > 0) {
					savefile.erase(inputcursor-1,1);
					inputcursor--;
				}
			}
			else if (readkey == "en") {
				if (savefile.size() > 0) {
					openfile = savefile;
					savefile = filedir + "/" + openfile;
					writefile.open(savefile.c_str());
					for (count = 0; count < text.size(); count++) {
						readline = text[count];
						loc = readline.find("     ",0);
						while (loc != string::npos) {							
							readline.replace(loc,5,"\t",1);
							loc = readline.find("     ",0);
						}					
						writefile << readline << endl;
					}
					writefile.close();
					mode = 1;
					menumode = 0;
					wait = 100;
					update();
					transition = true;
					inputcursor = 0;
				}
			}
			else if (savefile.size() < 256) {
					savefile.insert(inputcursor,readkey);
					inputcursor++;
				}
			
			bmUpdate = true;
		}
	}	

	if (menumode == 7) {
		if (padrelease) {
			if (pad.Buttons & PSP_CTRL_CROSS) {
				if (dir[dirselect].isDir) {
					findlast = filedir.find_last_of("/");
					if (findlast != string::npos) upcurrentdir = filedir.substr(0,findlast);
					else upcurrentdir = "ms0:";
					
					if (dir[dirselect].name == "..") filedir = upcurrentdir;
					else if (dir[dirselect].name != ".") filedir = filedir + "/" + dir[dirselect].name;
					
					listDirectory(filedir);
					nDir = dir.size();
					dircursor = 0;
					dirselect = 0;
					dirscroll = 0;
				}
				else {
					savefile = dir[dirselect].name;
					menumode = 6;
				}
				inputcursor = savefile.size();
				padrelease = false;
				bmUpdate = true;
				transition = true;
			}		
		}
	}
	
	if (menumode == 8) {
		if (padLeft()) {
			if (inputcursor > 0) {
				inputcursor--;
				wait = 120;
				bmUpdate = true;
			}
		}
		
		if (padRight()) {
			if (inputcursor < findtext.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
		}
		readKeyboard();
		readkey = readKey();
		if (readkey != "") {
			if (readkey == "bs") {
				if (inputcursor > 0 && findtext.size() > 0) {
					findtext.erase(inputcursor-1,1);
					inputcursor--;
				}
			}
			else if (readkey == "en") {
				if (findtext.size() > 0) {
					findline = line;
					findfirst = text[findline].find(findtext,cursor);
					findline++;
					while (findfirst == string::npos && findline < nText) {
						findfirst = text[findline].find(findtext,0);
						findline++;
					}
					
					if (findfirst != string::npos) {
					
						cursor = findfirst+findtext.size();
						line = findline-1;
						mark1[0] = findfirst;
						mark1[1] = line;
						mark2[0] = cursor;
						mark2[1] = line;

						if ((cursor + scrollx < 0) && (cursor + scrollx > nMaxchar)) scrollx = nMaxchar - cursor - 4;
						if ((line < 0 - scrolly) || (line > minlines - scrolly)) scrolly = 0 - line;						
					}
					update();
					mode = 2;
					menumode = 0;
					wait = 100;
					transition = true;
					inputcursor = 0;
				}
			}
			else  {
				findtext.insert(inputcursor,readkey);
				inputcursor++;
			}
			bmUpdate = true;
		}
	}
	
	if (menumode == 9) {
		if (padUp() || padDown()) {
			bTabbed = !bTabbed;
			if (bTabbed) inputcursor = replacetext.size();
			else inputcursor = findtext.size();
			wait = 120;
			bmUpdate = true;
		}
		if (padLeft()) {
			if (inputcursor > 0) {
				inputcursor--;
				wait = 120;
				bmUpdate = true;
			}
		}
		
		if (padRight()) {
			if (!bTabbed && inputcursor < findtext.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
			if (bTabbed && inputcursor < replacetext.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
		}
		readKeyboard();
		readkey = readKey();
		if (readkey != "") {
			if (readkey == "     ") {
				bTabbed = !bTabbed;
				if (bTabbed) inputcursor = replacetext.size();
				else inputcursor = findtext.size();
			}
			else if (readkey == "bs") {
				if (!bTabbed) {
					if (inputcursor > 0 && findtext.size() > 0) {
						findtext.erase(inputcursor-1,1);
						inputcursor--;
					}
				}
				else if (inputcursor > 0 && replacetext.size() > 0) {
							replacetext.erase(inputcursor-1,1);
							inputcursor--;
						}
			}
			else if (readkey == "en") {
				if (findtext.size() > 0  && replacetext.size() > 0) {
					findline = line;
					findfirst = text[findline].find(findtext,cursor);
					findline++;
					while (findfirst == string::npos && findline < nText) {
						findfirst = text[findline].find(findtext);
						findline++;
					}

					if (findfirst != string::npos) {
						text[findline-1].replace( findfirst, findtext.size(), replacetext.c_str(), replacetext.size());
						cursor = findfirst + replacetext.size();
						line = findline-1;
						mark1[0] = findfirst;
						mark1[1] = line;
						mark2[0] = findfirst + replacetext.size();
						mark2[1] = line;
						
						if ((cursor + scrollx < 0) && (cursor + scrollx > nMaxchar)) scrollx = nMaxchar - cursor - 4;
						if ((line < 0 - scrolly) || (line > minlines - scrolly)) scrolly = 0 - line;
					}
					update();
					mode = 2;
					menumode = 0;
					wait = 100;
					transition = true;
					inputcursor = 0;
				}	
			}
			else  {
				if (!bTabbed) {
					findtext.insert(inputcursor,readkey);
					inputcursor++;
				}
				else {
					replacetext.insert(inputcursor,readkey);
					inputcursor++;
				}
			}
			bmUpdate = true;
		}
	}
		
	if (menumode == 10) {
		if (padLeft()) {
			if (inputcursor > 0) {
				inputcursor--;
				wait = 120;
				bmUpdate = true;
			}
		}
		
		if (padRight()) {
			if (inputcursor < gotoline.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
		}	
		readKeyboard();
		readkey = readKey();
		if (readkey != "") {
			if (readkey == "bs") {
				if (inputcursor > 0 && gotoline.size() > 0) {
					gotoline.erase(inputcursor-1,1);
					inputcursor--;
				}
			}
			else if (readkey == "en") {
				testline = atoi(gotoline.c_str());
				if (testline > 0) {
					line = testline - 1;
					if (line < 0) line = 0;
					if (line > nText - 1) line = nText - 1;
					cursor = 0;
					scrollx = 0;
					if (nText > minlines) {
						scrolly = 0 - line;
						if (scrolly < minlines - nText) scrolly = minlines - nText;	
					}
					update();						
					mode = 2;
					menumode = 0;
					wait = 200;	
					transition = true;
					inputcursor = 0;
				}
			}
			else if (readkey.size() == 1) {
				if (isdigit((int) *readkey.c_str()) && gotoline.size() < 10) {
					gotoline.insert(inputcursor,readkey);
					inputcursor++;
				}
			}
			
			bmUpdate = true;
		}
	}
	if (menumode == 11) {
		if (pad.Buttons & PSP_CTRL_UP) {
			if (colcursor == 1) colcursor = 3;
			else colcursor--;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if (colcursor == 3) colcursor = 1;
			else colcursor++;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_LEFT) {
			if (colcursor == 1) {
				if (bgcol.r != 0) bgcol.r--;
			}
			if (colcursor == 2) {
				if (bgcol.g != 0) bgcol.g--;
			}
			if (colcursor == 3) {
				if (bgcol.b != 0) bgcol.b--;
			}
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_RIGHT) {
			if (colcursor == 1) {
				if (bgcol.r != 255) bgcol.r++;
			}
			if (colcursor == 2) {
				if (bgcol.g != 255) bgcol.g++;
			}
			if (colcursor == 3) {
				if (bgcol.b != 255) bgcol.b++;
			}
			bmUpdate = true;
		}

		if (pad.Buttons & PSP_CTRL_CROSS && !transition) {
			backcol = SDL_MapRGB(im_screen->format,bgcol.r,bgcol.g,bgcol.b);
			menumode = 0;
			update();			
			wait = 200;
			saveSettings();
			transition = true;
		}
	}

	if (menumode == 12) {
		if (pad.Buttons & PSP_CTRL_UP) {
			if (colcursor == 1) colcursor = 3;
			else colcursor--;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if (colcursor == 3) colcursor = 1;
			else colcursor++;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_LEFT) {
			if (colcursor == 1) {
				if (fgcol.r != 0) fgcol.r--;
			}
			if (colcursor == 2) {
				if (fgcol.g != 0) fgcol.g--;
			}
			if (colcursor == 3) {
				if (fgcol.b != 0) fgcol.b--;
			}
			wait = 1;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_RIGHT) {
			if (colcursor == 1) {
				if (fgcol.r != 255) fgcol.r++;
			}
			if (colcursor == 2) {
				if (fgcol.g != 255) fgcol.g++;
			}
			if (colcursor == 3) {
				if (fgcol.b != 255) fgcol.b++;
			}
			wait = 1;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_CROSS && !transition) {
			forecol = fgcol;
			menumode = 0;
			update();		
			wait = 200;
			saveSettings();
			transition = true;
		}
	}

	if (menumode == 13) {
		if (padLeft()) {
			if (inputcursor > 0) {
				inputcursor--;
				wait = 120;
				bmUpdate = true;
			}
		}
		
		if (padRight()) {
			if (inputcursor < renamefile.size()) {
				inputcursor++;
				wait = 120;
				bmUpdate = true;
			}
		}	
		readKeyboard();
		readkey = readKey();
		if (readkey != "") {
			if (readkey == "bs") {
				if (inputcursor > 0 && renamefile.size() > 0) {
					renamefile.erase(inputcursor-1,1);
					inputcursor--;
				}
			}
			else if (readkey == "en") {
				if (renamefile.size() > 0) {
					if (directorymode == 1) currentdir = filedir;
					if (directorymode == 2) currentdir = audiodir;
					if (directorymode == 3) currentdir = photodir;					
					savefile = currentdir + "/" + renamefile;
					readfile = currentdir + "/" + oldfile;
					sceIoRename(readfile.c_str(),savefile.c_str());
					listDirectory(currentdir);
					menumode = 5;
					wait = 100;
					dircursor = 0;
					dirselect = 0;
					dirscroll = 0;
					inputcursor = 0;
					if (directorymode == 1) filedir = currentdir;
					if (directorymode == 2) audiodir = currentdir;
					if (directorymode == 3) photodir = currentdir;						
				}
			}
			else if (renamefile.size() < 256) {
					renamefile.insert(inputcursor,readkey);
					inputcursor++;
				}
			
			bmUpdate = true;
			transition = true;
		}
	}	
	
	if (menumode == 14) {
		if (pad.Buttons & PSP_CTRL_CROSS) {
			if (directorymode == 1) currentdir = filedir;
			if (directorymode == 2) currentdir = audiodir;
			if (directorymode == 3) currentdir = photodir;			
			readfile = currentdir + "/" + deletefile;
			if (dir[dirselect].isDir) sceIoRmdir(readfile.c_str());
			else sceIoRemove(readfile.c_str());
			listDirectory(currentdir);
			nDir = dir.size();
			dircursor = 0;
			dirselect = 0;
			dirscroll = 0;
			menumode = 5;
			padrelease = false;
			bmUpdate = true;
			transition = true;
			if (directorymode == 1) filedir = currentdir;
			if (directorymode == 2) audiodir = currentdir;
			if (directorymode == 3) photodir = currentdir;			
		}
	}
	if (menumode == 18) {
		if (pad.Buttons & PSP_CTRL_UP) {
			if (colcursor == 0) colcursor = 3;
			else colcursor--;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if (colcursor == 3) colcursor = 0;
			else colcursor++;
			
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_LEFT) {
			if (colcursor == 0) {
				if (nKeyset != 1) nKeyset--;
			}				
			if (colcursor == 1) {
				if (waitdigital != 0) waitdigital--;
			}
			if (colcursor == 2) {
				if (waitanalog != 0) waitanalog--;
			}
			if (colcursor == 3) {
				if (waitpress != 0) waitpress--;
			}
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_RIGHT) {
			if (colcursor == 0) {
				if (nKeyset != 3) nKeyset++;
			}
			if (colcursor == 1) {
				if (waitdigital != 255) waitdigital++;
			}
			if (colcursor == 2) {
				if (waitanalog != 255) waitanalog++;
			}
			if (colcursor == 3) {
				if (waitpress != 255) waitpress++;
			}
			bmUpdate = true;
		}

		if (pad.Buttons & PSP_CTRL_CROSS && !transition) {
			//backcol = SDL_MapRGB(im_screen->format,bgcol.r,bgcol.g,bgcol.b);
			lx = 0;
			rx = 0;
			menumode = 0;
			update();			
			wait = 200;
			saveSettings();
			transition = true;
		}
	}
	
	if (menumode == CLOCK)
	{
		getClockInput();
	}
	
	if (menumode == SETCLOCKMENU)
	{
		getSetClockInput();
	}
	
	if (menumode == WORLDCLOCK)
	{
		getWorldClockInput();
	}
	 
	
	} // end menu == 0;
		
	if (menu == 1) {
		if (pad.Buttons & PSP_CTRL_UP) {
			menucursor--;
			if (menucursor < 1) {
				menucursor = 10;
			}
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			menucursor++;
			if (menucursor > 10) {
				menucursor = 1;
			}
			wait = 100;
			bmUpdate = true;
		}
		
		if (padrelease) {
			if (pad.Buttons & PSP_CTRL_RIGHT) {
				if (mode > 0 && mode < 4) {
					mode = 2;
					menu = 2;
				}
				else menu = 3;
				menucursor = 1;
				wait = 100;
				padrelease = false;
				bmUpdate = true;
			}
		
			if (pad.Buttons & PSP_CTRL_LEFT) {
				if (mode == 6) {
					menu = 6;
					subselect = 0;
					submenu = 1;
					submenu2 = 1;
					submenucursor = 1;
					submenucursor2 = 1;
				}
				else if (mode == 4) menu = 5;
				else menu = 4;
				menucursor = 1;
				wait = 100;
				padrelease = false;
				bmUpdate = true;
			}
		}
		
		if (pad.Buttons & PSP_CTRL_CROSS) {
	
			if (menucursor == 1) {
				text.clear();
				text.push_back("");
				openfile = "Untitled.doc";
				mode = 1;
				cursor = 0;
				scrollx = 0;
				scrolly = 0;
				ly = 0;
				lx = 0;
				ry = 0;
				rx = 0;
				line = 0;
				mark1[0] = -1;
				mark1[1] = -1;
				mark2[0] = -1;
				mark2[1] = -1;
				current = 0;
				bookmark.clear();
				bookmark2.clear();
				nText = text.size();
				update();
			}
			if (menucursor == 2) {
				menumode = 5;
				directorymode = 1;
				listDirectory(filedir);
				nDir = dir.size();
				dircursor = 0;
				dirselect = 0;
				dirscroll = 0;
			}
			if (menucursor == 3 && mode > 0 && mode < 4) {
				menumode = 6;
				savefile = openfile;
				inputcursor = savefile.size();
			}
			if (menucursor == 4) {
				state = sceUsbGetState();
				usb = !usb;
				
				if (state & PSP_USB_ACTIVATED) retval = sceUsbDeactivate();
				else retval = sceUsbActivate(0x1c8);
			}
			if (menucursor == 5) {
				loadBook();
				mode = 5;
				menumode = 0;
				initAddressBook();
			}
			if (menucursor == 6) {
				mode = 6;
				menumode = 0;
				initCalculator();
			}
			if (menucursor == 7) {			
				mode = 7;
				menumode = 0;
				time ( &tTime);
				//tTime+= (tzHour*60*60);
				tmTime = localtime(&tTime);
				//tmTime->tm_hour+=tzHour;
				if (tmTime->tm_hour > 12) tmTime->tm_hour-=12;
				year = tmTime->tm_year+1900;
				month = tmTime->tm_mon+1;
				initCalendar(tmTime->tm_mday,month,year);
				setCalendar(month,year);
			}
			if (menucursor == 8) {
				menumode = CLOCK;
			}
			if (menucursor == 9) {
				mode = 0;
			}
			if (menucursor == 10) {
				if (state & PSP_USB_ACTIVATED) retval = sceUsbDeactivate();
				break;
			}
			menu = 0;
			wait = 100;
			bmUpdate = true;
			padrelease = false;
			transition = true;
		}
	}
	
	if (menu == 2) {
		if (padrelease) {
			if (pad.Buttons & PSP_CTRL_RIGHT) {
				menu = 3;
				if (mode < 5) mode = lastmode;
				menucursor = 1;
				wait = 100;
				padrelease = false;
				bmUpdate = true;
			}
			
			if (pad.Buttons & PSP_CTRL_LEFT) {
				menu = 1;
				if (mode < 5) mode = lastmode;
				menucursor = 1;
				wait = 100;
				padrelease = false;
				bmUpdate = true;
			}
		}		
		
		if (pad.Buttons & PSP_CTRL_UP) {
			if (menucursor == 1) menucursor = 9;
			else menucursor--;
			wait = 100;
			bmUpdate = true;
		}
		
		if (pad.Buttons & PSP_CTRL_DOWN) {
			if (menucursor == 9)  menucursor = 1;
			else menucursor++;
			wait = 100;
			bmUpdate = true;
		}	

		if (pad.Buttons & PSP_CTRL_CROSS && mode < 4) {

			if (menucursor == 1 && mark2[0] != -1) {
				copytext.clear();
				if (mark2[1] == mark1[1]) copytext.push_back(text[mark1[1]].substr(mark1[0], mark2[0] - mark1[0]));
				
				if (mark2[1] > mark1[1]) {
					for (count = mark1[1]; count <= mark2[1]; count++) {
						if (count == mark2[1]) copytext.push_back(text[count].substr(0, mark2[0]));
						else if (count == mark1[1]) copytext.insert(copytext.begin(),text[count].substr(mark1[0]));							
						else copytext.push_back(text[count]);
					}
				}
				
				if (mark2[1] == mark1[1]) {
					text[mark1[1]].erase(mark1[0],mark2[0]-mark1[0]);
				}
				
				if (mark2[1] > mark1[1]) {	
					text[mark1[1]].erase(mark1[0]);
					
					text[mark2[1]] = text[mark2[1]].substr(mark2[0]);
					
					text[mark1[1]] = text[mark1[1]]+text[mark2[1]];
					text.erase(text.begin()+mark2[1]);
					if (mark2[1] - mark1[1] > 1) {
						for (count = mark1[1]+1; count<=mark2[1]-1;count++) text.erase(text.begin()+count);
					}
				}
				cursor = mark1[0];
				line = mark1[1];

				if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar)) scrollx = 0 - cursor;
				if ((line + scrolly < 0) || (line + scrolly > minlines)) scrolly = 0 - line;
				if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
					
				nText = text.size();
				mark1[0] = -1;
				mark1[1] = -1;
				mark2[0] = -1;
				mark2[1] = -1;
				update();
			}

			if (menucursor == 2 && mark2[1] != -1) {
				copytext.clear();
				if (mark2[1] == mark1[1]) copytext.push_back(text[mark1[1]].substr(mark1[0], mark2[0] - mark1[0]));
				
				if (mark2[1] > mark1[1]) {
					for (count = mark1[1]; count <= mark2[1]; count++) {
						if (count == mark2[1]) copytext.push_back(text[count].substr(0, mark2[0]));
						else if (count == mark1[1]) copytext.insert(copytext.begin(),text[count].substr(mark1[0]));							
						else copytext.push_back(text[count]);
					}
				}				
			}			
			
			if (menucursor == 3 && !copytext.empty() && copytext[0].size() > 0) {
				if (mark2[1] != -1 ) {
					if (mark2[1] == mark1[1]) {
						text[mark1[1]].erase(mark1[0],mark2[0]-mark1[0]);
					}
					
					if (mark2[1] > mark1[1]) {	
						text[mark1[1]].erase(mark1[0]);
						
						text[mark2[1]] = text[mark2[1]].substr(mark2[0]);
						
						text[mark1[1]] = text[mark1[1]]+text[mark2[1]];
						text.erase(text.begin()+mark2[1]);
						if (mark2[1] - mark1[1] > 1) {
							for (count = mark1[1]+1; count<=mark2[1]-1;count++) text.erase(text.begin()+count);
						}
					}
					cursor = mark1[0];
					line = mark1[1];
				}
				
				if (copytext.size() == 1) text[line].insert(cursor,copytext[0]);
				
				if (copytext.size() > 1 ) {
					if (cursor == 0) {
						temptext = copytext[copytext.size()-1] + text[line];
						text[line] = copytext[0];
						text.insert(text.begin()+line+1, temptext);
					}
					else if (cursor == text[line].size()) {
						text[line] = text[line]+copytext[0];
						text.insert(text.begin()+line+1, copytext[copytext.size()-1]);
					}
					else {
						temptext = copytext[copytext.size()-1]+text[line].substr(cursor);
						text[line] = text[line].substr(0,cursor)+copytext[0];
						text.insert(text.begin()+line+1, temptext);							
					}
					if (copytext.size() > 2) {
						insertline = line+1;
						for (count = 1; count <= copytext.size() - 2; count++) {
							text.insert(text.begin()+insertline,copytext[count]);
							insertline++;
						}
					}
				}
	

				if (copytext.size() == 1) {
					if (cursor == 0) {		
						cursor = copytext[0].size();
					}
					else {
						cursor = cursor + copytext[0].size();
					}
				}
				else {
					cursor = copytext[copytext.size()-1].size();
				}
				line = line + copytext.size()-1;
				
				if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar)) scrollx = 0 - cursor;
				if ((line + scrolly < 0) || (line + scrolly > minlines)) scrolly = 0 - line;
				if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
					
				nText = text.size();
				mark1[0] = -1;
				mark1[1] = -1;
				mark2[0] = -1;
				mark2[1] = -1;
				update();
			}
			
			if (menucursor == 4 && mark2[0] != -1) {
				if (mark2[1] == mark1[1]) {
					text[mark1[1]].erase(mark1[0],mark2[0]-mark1[0]);
				}
				
				if (mark2[1] > mark1[1]) {	
					text[mark1[1]].erase(mark1[0]);
					
					text[mark2[1]] = text[mark2[1]].substr(mark2[0]);
					
					text[mark1[1]] = text[mark1[1]]+text[mark2[1]];
					text.erase(text.begin()+mark2[1]);
					if (mark2[1] - mark1[1] > 1) {
						for (count = mark1[1]+1; count<=mark2[1]-1;count++) text.erase(text.begin()+count);
					}
				}
				cursor = mark1[0];
				line = mark1[1];

				if ((cursor + scrollx < 0) || (cursor + scrollx > nMaxchar)) scrollx = 0 - cursor;
				if ((line + scrolly < 0) || (line + scrolly > minlines)) scrolly = 0 - line;
				if ((nText > minlines) && (scrolly < minlines - nText)) scrolly = minlines - nText;
				
				nText = text.size();
				mark1[0] = -1;
				mark1[1] = -1;
				mark2[0] = -1;
				mark2[1] = -1;
				update();
			}
			
		
			if (menucursor == 5) {
				inputcursor = findtext.size();
				menumode = 8;
				wait = 200;
			}
			if (menucursor == 6) {
				bTabbed = false;
				inputcursor = findtext.size();
				menumode = 9;
				wait = 200;
			}
			if (menucursor == 7) {
				inputcursor = gotoline.size();
				menumode = 10;
				wait = 200;
			}
			if (menucursor == 8) {
				found = false;
				for (count = 0; count < bookmark.size(); count++) {
					if (line == bookmark[count]) {
						bookmark.erase(bookmark.begin()+count);
						found = true;
					}
				}
				if (!found) {
					bookmark.push_back(line);
					sort(bookmark.begin(),bookmark.end());
				}
				saveBookmarks(textfile);
			}
			
			if (menucursor == 9 && bookmark.size() > 0) {
				count = 0;
				found = false;
				if (current == bookmark.size()-1) current = 0;
				else current++;
				line = bookmark[current];
				cursor = 0;
				if (line >= nText) line = nText - 1;
				scrollx = 0;
				if (nText > minlines) {
					scrolly = 0 - line;
					if (scrolly < minlines - nText) {
						scrolly = minlines - nText;
					}
				}					
				/*
				while (count < bookmark.size() && !found) {
					if (bookmark[count] > current) {
						current = bookmark[count];
						line = current;
						if (line >= nText) line = nText - 1;
						cursor = 0;
						scrollx = 0;
						if (nText > minlines) {
							scrolly = 0 - line;
							update();
							if (scrolly < minlines - nText) {
								scrolly = minlines - nText;
								update();
							}
						}	
						found = true;
					}
					count++;
				}
				*/
				update();
			}
			bmUpdate = true;
			transition = true;
			menu = 0;
		}
	
	}
	
		if (menu == 3) {
			if (padrelease) {
				if (pad.Buttons & PSP_CTRL_RIGHT) {
					menu = 4;
					/*
					else if (mode == 4) menu = 5;
					else if (mode == 6) {
								menu = 6;
								submenu = 1;
								submenu2 = 1;
							}
					else menu = 1;
					*/
					menucursor = 1;
					wait = 100;
					padrelease = false;
					bmUpdate = true;
				}
				
				if (pad.Buttons & PSP_CTRL_LEFT) {
					lastmode = mode;
					if (mode > 0 && mode < 4) {
						mode = 2;
						menu = 2;
					}
					else menu = 1;
					menucursor = 1;
					wait = 100;
					padrelease = false;
					bmUpdate = true;
				}
			}
	
			
			if (pad.Buttons & PSP_CTRL_UP) {
				if (menucursor == 1) menucursor = 10;
				else menucursor--;
				wait = 100;
				bmUpdate = true;
			}
			
			if (pad.Buttons & PSP_CTRL_DOWN) {
				if (menucursor == 10) menucursor = 1;
				else menucursor++;
				wait = 100;
				bmUpdate = true;
			}
			
			if (pad.Buttons & PSP_CTRL_CROSS) {
				if (menucursor == 1 && mode >= KEYBOARD && mode <= FULLSCREEN) {
					mode = 3;
					if (wordwrap) {
						if (wordwrap1) {
							textWrap1();
						}
						if (wordwrap2) {
							textWrap2();
						}
					}
					mark1[0] = -1;
					mark1[1] = -1;
					mark2[0] = -1;
					mark2[1] = -1;
					update();
				}
				if (menucursor == 2) {
					menumode = 18;
					transition = true;
					padrelease = false;
					colcursor = 0;
					update();
					/*
					if (nKeyset == 1) nKeyset = 2;
					else nKeyset = 1;
					lx = 0; 
					ly = 0; 
					rx = 0; 
					ry = 0;
					update();
					mode = lastmode;
					wait = 200;
					padrelease = false;
					saveSettings();
					*/
				}
				if (menucursor == 3) {
					wordwrap1 = !wordwrap1;
					if (wordwrap1) {
						wordwrap = true;
						textWrap1();
					}
					else wordwrap = false;
					wordwrap2 = false;
					update();
					mode = lastmode;
					if (mode == 3) {
						scrollx = 0;
						scrolly = 0;
					}
					wait = 200;
				}
				if (menucursor == 4) {
					wordwrap2 = !wordwrap2;
					if (wordwrap2) {
						textWrap2();
						wordwrap = true;
					}
					else wordwrap = false;
					wordwrap1 = false;
					update();
					mode = lastmode;
					if (mode == 3) {
						scrollx = 0;
						scrolly = 0;
					}
					wait = 200;
				}
				if (menucursor == 5) {
					if (nFontsize != 10) {
						nFontsize -= 2;
						setBounds(nFontsize);
						if (wordwrap) {
							if (wordwrap2) { textWrap2(); }
							else { textWrap1(); }
						}
						saveSettings();
					}
					update();			
				}
				if (menucursor == 6) {
					if (nFontsize != 16) {
						nFontsize += 2;
						setBounds(nFontsize);
						if (wordwrap) {
							if (wordwrap2) { textWrap2(); }
							else { textWrap1(); }
						}
						saveSettings();
					}
					update();			
				}
				if (menucursor == 7) {
					colcursor = 1;
					SDL_GetRGB(backcol, im_screen->format, &(bgcol.r), &(bgcol.g), &(bgcol.b));
					lastmode = mode;
					menumode = 11;
					padrelease = false;
				}
				if (menucursor == 8) {
					colcursor = 1;
					fgcol = forecol;
					lastmode = mode;
					menumode = 12;
					padrelease = false;
				}
				if (menucursor == 9 && mode == FULLSCREEN) {
					found = false;
					for (count = 0; count < bookmark2.size(); count++) {
						if (0-scrolly == bookmark2[count]) {
							bookmark2.erase(bookmark2.begin()+count);
							found = true;
						}
					}
					if (!found) {
						bookmark2.push_back(0-scrolly);
						sort(bookmark2.begin(),bookmark2.end());
					}
					saveBookmarks(textfile);
				}
				
				if (menucursor == 10 && bookmark2.size() > 0 && mode == FULLSCREEN) {
					count = 0;
					found = false;
					if (current2 == bookmark2.size()-1) current2 = 0;
					else current2++;
					scrolly = 0-bookmark2[current2];
					update();
				}				
				menu = 0;
				bmUpdate = true;
				transition = true;
			}
		}
		
		if (menu == 4) {
			if (padrelease) {
				if (pad.Buttons & PSP_CTRL_RIGHT) {
					if (mode == 4) menu = 5;
					else if (mode == 6) {
							menu = 6;
							subselect = 0;
							submenu = 1;
							submenu2 = 1;
							submenucursor = 1;
							submenucursor2 = 1;
						}					
					else menu = 1;
					menucursor = 1;
					wait = 100;
					padrelease = false;
					bmUpdate = true;
				}
				
				if (pad.Buttons & PSP_CTRL_LEFT) {
					lastmode = mode;
					if (mode > 0 && mode < 4) {
						mode = 2;
					}
					menu = 3;
					menucursor = 1;
					wait = 100;
					padrelease = false;
					bmUpdate = true;
				}
			}
	
			
			if (pad.Buttons & PSP_CTRL_UP) {
				if (menucursor == 1) menucursor = 6;
				else menucursor--;
				wait = 100;
				bmUpdate = true;
			}
			
			if (pad.Buttons & PSP_CTRL_DOWN) {
				if (menucursor == 6) menucursor = 1;
				else menucursor++;
				wait = 100;
				bmUpdate = true;
			}
			
			if (pad.Buttons & PSP_CTRL_CROSS) {
				if (menucursor == 1) {
					directorymode = 2;
					listDirectory(audiodir);
					menumode = 5;
					nDir = dir.size();
					dircursor = 0;
					dirselect = 0;
					dirscroll = 0;
					padrelease = false;
					menu = 0;
				}
				if (menucursor == 2) {
					if (isplaying) {
						decoder->pause();
						ispaused = !ispaused;
					}
					menu = 0;
				}
				if (menucursor == 3) {
					if (isplaying) {
						decoder->stop();
						decoder->end();
						isplaying = false;
						ispaused = false;
						bAlarm = false;
					}
					menu = 0;
				}
				if (menucursor == 4) {
					shuffled = !shuffled;
					if (shuffled) random_shuffle(diraudio.begin(),diraudio.end());
					else sort(diraudio.begin(),diraudio.end());
					menu = 0;
				}
				if (menucursor == 5 && !bAlarm) {
					if (audindex == diraudio.size()-1) audindex = 0;
					else audindex++;
					if (isplaying) {
						decoder->stop();
						decoder->end();
						readfile = audiopath + "/" + diraudio[audindex];
						load_play(readfile.c_str());
					}
					menu = 0;
				}
				if (menucursor == 6 && !bAlarm) {
					if (audindex == 0) audindex = diraudio.size()-1;
					else audindex--;
					if (isplaying) {
						decoder->stop();
						decoder->end();
						readfile = audiopath + "/" + diraudio[audindex];
						load_play(readfile.c_str());
					}
					menu = 0;
				}
				bmUpdate = true;
				transition = true;
			}
		}
		
		if (menu == 5) {
			getImageViewerMenuInput();
		}
		
		if (menu == 6) {
			getCalculatorMenuInput();			
		}
	
	if (mode == EDIT && bUpdate) {
		if (mark2[1] > -1) {
			if (mark2[1] == mark1[1]) {
				bm = 9+mark1[1]*ndLine + scrolly*ndLine;
				if (bm >= 9 && bm <= 170) drawFillRect(img_textbackground,4+mark1[0]*ndCol + scrollx*ndCol, 9+mark1[1]*ndLine + scrolly*ndLine, (mark2[0] - mark1[0])*ndCol+2, ndLine, lightgrey);
			}
			if (mark2[1] > mark1[1]) {
				for (count = mark1[1];count <= mark2[1]; count++) {
					if (count == mark2[1]) {
						bm = 9+mark2[1]*ndLine + scrolly*ndLine;
						if (bm >= 9 && bm <= 170) drawFillRect(img_textbackground,4 + scrollx*ndCol, 9+mark2[1]*ndLine + scrolly*ndLine, (mark2[0])*ndCol+2, ndLine, lightgrey);
					}
					else if (count == mark1[1]) {
						bm = 9+mark1[1]*ndLine + scrolly*ndLine;
						if (bm >= 9 && bm <= 170) drawFillRect(img_textbackground,4+mark1[0]*ndCol + scrollx*ndCol, 9+mark1[1]*ndLine + scrolly*ndLine, (text[count].size() - mark1[0])*ndCol+2, ndLine, lightgrey);
					}
					else {
						bm = 9+count*ndLine + scrolly*ndLine;
						if (bm >= 9 && bm <= 170) drawFillRect(img_textbackground,4 + scrollx*ndCol, 9+count*ndLine + scrolly*ndLine, (text[count].size())*ndCol+2, ndLine, lightgrey);
					}
				}
			}
		}	
	}
		
		if (mode < FULLSCREEN && bUpdate) {
			list = 180;
			for (count = 0 - scrolly; count < minlines - scrolly; count++) {
				if (count < nText) {
					if (scrollx < 0) {
						endtext = nMaxchar;
						if (text.at(count).size() < endtext) endtext = text[count].size() + scrollx;
						if (text.at(count).size() > -1-scrollx) textscroll = text.at(count).substr(0 - scrollx, endtext);
						else textscroll = " ";
						drawText(drawfont,img_textbackground, 5, 10 + count * ndLine + scrolly*ndLine, textscroll, forecol);
					}
					else {
						endtext =  nMaxchar;
						if (text.at(count).size() < endtext) endtext = text[count].size();
						textscroll = text.at(count).substr(0, endtext);
						drawText(drawfont,img_textbackground, 5, 10 + count * ndLine + scrolly*ndLine, textscroll, forecol);
					}
				}
			}
		}	

		if (mode == FULLSCREEN && bUpdate) {
			list = 260;
			if (wordwrap) {
				for (count = 0 - scrolly; count < maxlines - scrolly; count++) {
					if (count < nWW) {
						drawText(drawfont,img_textbackground, 5, 10 + count * ndLine + scrolly*ndLine, wraptext[count], forecol);					
					}
				}
			}
			else {
				for (count = 0 - scrolly; count < maxlines - scrolly; count++) {
					if (count < nText) {
						if (scrollx < 0) {
							endtext = nMaxchar;
							if (text.at(count).size() < endtext) endtext = text[count].size() + scrollx;
							if (text.at(count).size() > -1-scrollx) textscroll = text.at(count).substr(0 - scrollx, endtext);
							else textscroll = " ";
							drawText(drawfont,img_textbackground, 5, 10 + count * ndLine + scrolly*ndLine, textscroll, forecol);
						}
						else {
							endtext =  nMaxchar;
							if (text.at(count).size() < endtext) endtext = text[count].size();
							textscroll = text.at(count).substr(0, endtext);
							drawText(drawfont,img_textbackground, 5, 10 + count * ndLine + scrolly*ndLine, textscroll, forecol);
						}
					}
				}
			}
		}		
	

if (bmUpdate) {	

		if (mode == APPLICATION) {
			blit(im_screen, 0,0, img_background);
			blit(im_screen, 0,0, img_menubar);
			drawTextShadowed(font,im_screen, 215, 0, "PSP-PDA", sdlwhite);
			
			if (ax == 1 && ay == 1) {
				drawFillRect(im_screen, 80, 40,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 72, 80, "Notepad", sdlwhite);
			}
			else drawText(font, im_screen, 72, 75, "Notepad", sdlblack);
			if (ax == 2 && ay == 1) {
				drawFillRect(im_screen, 224, 40,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 198, 75, "Address Book", sdlwhite);
			}
			else drawText(font, im_screen, 198, 75, "Address Book", sdlblack);
			if (ax == 3 && ay == 1) {
				drawFillRect(im_screen, 368, 40,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 356, 75, "Calendar", sdlwhite);
			}
			else drawText(font, im_screen, 356, 75, "Calendar", sdlblack);
			if (ax == 1 && ay == 2) {
				drawFillRect(im_screen, 80, 130,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 61, 165, "Calculator", sdlwhite);
			}
			else drawText(font, im_screen, 61, 165, "Calculator", sdlblack);
			if (ax == 2 && ay == 2) {
				drawFillRect(im_screen, 224, 130,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 222, 165, "Music", sdlwhite);
			}
			else drawText(font, im_screen, 222, 165, "Music", sdlblack);
			if (ax == 3 && ay == 2) {
				drawFillRect(im_screen, 368, 130,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 366, 165, "Images", sdlwhite);
			}
			else drawText(font, im_screen, 366, 165, "Images", sdlblack);
			if (ax == 1 && ay == 3) {
				drawFillRect(im_screen, 80, 220,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 54, 255, "File Manager", sdlwhite);
			}
			else drawText(font, im_screen, 54, 255, "File Manager", sdlblack);
			if (ax == 2 && ay == 3) {
				drawFillRect(im_screen, 224, 220,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 222, 255, "Clock", sdlwhite);
			}
			else drawText(font, im_screen, 222, 255, "Clock", sdlblack);
			/*
			if (ax == 3 && ay == 3) {
				drawFillRect(im_screen, 368, 220,32,32, lightgrey);
				drawTextShadowed(font, im_screen, 356, 255, "Settings", sdlwhite);
			}
			else drawText(font, im_screen, 356, 255, "Settings", sdlblack);
			*/
			blit(im_screen, 80, 40, img_notepadicon);
			blit(im_screen, 224, 40, img_addressbookicon);
			blit(im_screen, 368, 40, img_calendaricon);
			blit(im_screen, 80, 130, img_calculatoricon);
			blit(im_screen, 224, 130, img_musicicon);
			blit(im_screen, 368, 130, img_photoicon);
			blit(im_screen, 80, 220, img_fileicon);
			blit(im_screen, 224, 220, img_clockicon);
			//blit(im_screen, 368, 220, img_settingsicon);

			blx = 0;
		}
		
		if (mode == KEYBOARD || mode == EDIT) {
			if (line > nText-1) line = nText-1;
		}
	
		if (mode == KEYBOARD) {
			sge_Blit(img_textbackground, im_screen, 0,0,0,0,480,200);
			sge_Blit(img_background, im_screen, 0,200, 0, 200, 480, 72);
	
			if (menumode == 0) drawKeyboard(im_screen);
			drawFrame(im_screen,0,0,480,200);
			for (count = 0; count< bookmark.size(); count++) {
				bm = ndLine*bookmark[count] + ndLine*scrolly;
				if (bm >= 0 and bm <= 170) blit(im_screen,0,bm+12,img_dot);
			}
			sprintf(sizestring, "Ln %d:%d  Col %d",line+1,nText,cursor+1);
			drawText(systemfont,im_screen,11, 192,sizestring,sdlwhite);
			drawText(systemfont,im_screen,10, 191,sizestring,sdlblue);
		}
		
	if (mode == EDIT) {
		sge_Blit(img_textbackground, im_screen, 0,0,0,0,480,200);
		sge_Blit(img_background,im_screen, 0,200, 0, 200, 480, 72);
		if (menumode == 0) {
			blit(im_screen,70,210, img_arrows);
			blit(im_screen,240,210, img_editbuttons);
		}
		drawFrame(im_screen,0,0,480,200);
		for (count = 0; count< bookmark.size(); count++) {
			bm = ndLine*bookmark[count] + ndLine*scrolly;
			if (bm >= 0 and bm <= 170) blit(im_screen,0,bm+12,img_dot);
		}


		//debugtext = "Sel1 "+ mark1[1] +":"+mark1[2]+"  Sel2 "+mark2[1]+":"+mark2[2];
		sprintf(sizestring, "Ln %d:%d  Col %d",line+1,nText,cursor+1);
		drawText(systemfont,im_screen,11, 192,sizestring,sdlwhite);		
		drawText(systemfont,im_screen,10, 191,sizestring,sdlblue);		
		sprintf(sizestring, "Sel1 %d:%d  Sel2 %d:%d",mark1[0]+1,mark1[1]+1,mark2[0]+1,mark2[1]+1);
		debugtext = sizestring;
		drawText(systemfont,im_screen,471-debugtext.size()*7, 192,debugtext,sdlwhite);
		drawText(systemfont,im_screen,470-debugtext.size()*7, 191,debugtext,sdlblue);
		
	}
		
		if (mode == FULLSCREEN) {
			sge_Blit(img_textbackground, im_screen,0,0,0,0,480,272);
			drawFrame(im_screen,0,0,480,272);
			for (count = 0; count< bookmark2.size(); count++) {
				bm = ndLine*bookmark2[count] + ndLine*scrolly;
				if (bm >= 0 and bm <= 240) blit(im_screen,0,bm+12,img_dot);
			}
			sprintf(sizestring, "Ln %d:%d  Col %d",1-scrolly,nText,cursor+1);
			drawText(systemfont,im_screen,11, 263,sizestring,sdlwhite);
			drawText(systemfont,im_screen,10, 262,sizestring,sdlblue);			
			//blx = 0;
		}


		
	if (mode >= KEYBOARD && mode <= FULLSCREEN) {
		drawText(systemfont,im_screen,240-openfile.size()*6/2-1,-1, openfile,sdlwhite);
		drawText(systemfont,im_screen,240-openfile.size()*6/2,0, openfile,sdlblack);
		if ((10 + line*ndLine + scrolly*ndLine) > 0 && (line + scrolly) < minlines && (9 + cursor*ndCol + scrollx*ndCol) >= 6) {
			//drawVline(im_screen,9+ cursor * ndCol + scrollx*ndCol - 4, 12+line*ndLine + scrolly*ndLine - 2, ndLine, cursorcol);
			blx = 9+ cursor * ndCol + scrollx*ndCol - 4;
			bly = 12+line*ndLine + scrolly*ndLine - 2;
			blh = ndLine;
			if (mode == 3) blx = 0;
		}
	}

	if (mode == IMAGE) {
		if (menumode > 0 || menu > 0) {
			displayImageViewer(im_screen);
		}
		else displayImageViewer(screen);
		blx = 0;
	}
	
	if (mode == ADDRESSBOOK) {
		displayAddressBook();	
	}

	if (mode == CALCULATOR) {
		displayCalculator();
	}
	
	if (mode == CALENDAR) {
		//blit(im_screen,0,0, img_background);
		displayCalendar(im_screen);
		blx = 0;
		displayCalendarMenu();
	}
	
	if (mode == CLOCK) {
		displayClock();
		blx = 0;
	}
	
	if (mode == ADDRESSBOOK) {
		displayAddressBookMenu();
	}
	
	
		
	if (menumode == 5 || menumode == 7) {
		if (directorymode == 1) currentdir = filedir;
		if (directorymode == 2) currentdir = audiodir;
		if (directorymode == 3) currentdir = photodir;		
		//blit(im_screen,0,0, img_background);
		drawMenuFrame(im_screen);
		if (menumode == 5) {
			drawText(systemfont,im_screen,30,161,"Rename:         Delete:           Select:",sdlblack);
			drawText(systemfont,im_screen,30,161,"        Square          Triangle          Cross",sdlblue);
		}	
		drawFillRect(im_screen,26,28,428,10,lightgrey);
		drawHline(im_screen,26,37,428,darkgrey);
		
		if (currentdir.size() > 59) textscroll = currentdir.substr(0,59);
		else textscroll = currentdir;
		drawText(font,im_screen,35,27, textscroll, sdlblack);
		drawText(font,im_screen,226,17,"Open", sdlblack);
		for (count = 0; count < nDir; count++) {
			if (dir[count].name.size() > 58) textscroll = dir[count].name.substr(0,58);
			else textscroll = dir[count].name;
			if (dirselect == count) drawFillRect(im_screen,34,40+dircursor*nLine - 1, 15+textscroll.size() * nCol, nLine, grey);
			if ((dirscroll*nLine + count*nLine) < 120 && (dirscroll*nLine + count*nLine) >= 0) {
				if (dir[count].isDir) {
					blit(im_screen,30,40+dirscroll*nLine+count*nLine,img_folder);
					drawText(font,im_screen,48,40+dirscroll*nLine+count*nLine, textscroll, sdlblue);
				}
				else if (is_image(dir[count].name)) {
					blit(im_screen,32,40+dirscroll*nLine+count*nLine,img_pic);
					drawText(font,im_screen,48,40+dirscroll*nLine+count*nLine, textscroll, sdlblack);
				}
				else if (is_audio(dir[count].name)) {
					blit(im_screen,33,40+dirscroll*nLine+count*nLine,img_music);
					drawText(font,im_screen,48,40+dirscroll*nLine+count*nLine, textscroll, sdlblack);
				}
				else {
					blit(im_screen,33,40+dirscroll*nLine+count*nLine,img_doc);
					drawText(font,im_screen,48,40+dirscroll*nLine+count*nLine, textscroll, sdlblack);
				}
			}
		}
		blx = 0;
	}
	
	if (menumode == 6) {
		//blit(im_screen,0,0, img_background);

		drawKeyboard(im_screen);
		drawMenuFrame(im_screen);
		
		drawFillRect(im_screen,177,47,260,16,white);
		drawRect(im_screen,177,47,260,16,black);
		drawRect(im_screen,176,46,260,16,grey);
		drawFillRect(im_screen,176,66,260,16,grey);
		drawRect(im_screen,177,67,260,16,black);
		drawRect(im_screen,176,66,260,16,grey);
		
		drawText(font,im_screen,40, 50, "Name:            ",sdlblack);
		drawText(font,im_screen,40, 70, "Save in folder:  ",sdlblack);
		
		if (savefile.size() > nMaxinput) {
			if (inputcursor < savefile.size() - nMaxinput) textscroll = savefile.substr(inputcursor,nMaxinput);
			else textscroll = savefile.substr(savefile.size()-nMaxinput);
		}
		else textscroll = savefile;
		drawText(font,im_screen,180,50, textscroll.c_str(), sdlblack);
		//drawVline(im_screen,181+textscroll.size()*nCol, 48, nLine, cursorcol);
		if (savefile.size() <= nMaxinput) blx = 180+inputcursor*nCol;
		else {
			if (inputcursor < savefile.size() - nMaxinput) blx = 180;
			else blx = 180+(nMaxinput)*nCol-savefile.size()*nCol+inputcursor*nCol;
		}
		bly = 48;
		blh = nLine;
		
		if (currentdir.size() > nMaxinput) textscroll = currentdir.substr(0,nMaxinput);
		else textscroll = currentdir;
		drawText(font,im_screen,180,70, textscroll.c_str(), sdlblack);

		drawText(font,im_screen,40,100, "Press Start to change folder or select a file name", sdlblue);
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Enter to save", sdlblue);

		drawText(font,im_screen,216,17,"Save As", sdlblack);
	}
	
	if (menumode == 8) {

		drawKeyboard(im_screen);
		drawMenuFrame(im_screen);	
		
		drawFillRect(im_screen,176,46,260,16,white);
		drawRect(im_screen,177,47,260,16,black);
		drawRect(im_screen,176,46,260,16,grey);

		drawText(font,im_screen, 40, 50, "Search String:            ",sdlblack);
		
		if (findtext.size() > nMaxinput) {
			if (inputcursor < findtext.size() - nMaxinput) textscroll = findtext.substr(inputcursor,nMaxinput);
			else textscroll = findtext.substr(findtext.size()-nMaxinput);
		}
		else textscroll = findtext;
		drawText(font,im_screen,180,50, textscroll.c_str(), sdlblack);
		//drawVline(im_screen,180+textscroll.size()*nCol, 48, nLine, cursorcol);
		if (findtext.size() <= nMaxinput) blx = 180+inputcursor*nCol;
		else {
			if (inputcursor < findtext.size() - nMaxinput) blx = 180;
			else blx = 180+(nMaxinput)*nCol-findtext.size()*nCol+inputcursor*nCol;
		}
		bly = 48;
		blh = nLine;
		
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Enter to search", sdlblue);
		drawText(font,im_screen,208,17,"Find Text", sdlblack);
	}

	if (menumode == 9) {

		drawKeyboard(im_screen);
		drawMenuFrame(im_screen);
		
		if (!bTabbed) {
			drawFillRect(im_screen,176,46,260,16,white);
			drawRect(im_screen,177,47,260,16,black);
			drawRect(im_screen,176,46,260,16,grey);
		}
		else {
			drawFillRect(im_screen,176,46,260,16,grey);
			drawRect(im_screen,177,47,260,16,black);
			drawRect(im_screen,176,46,260,16,grey);
		}
		
		if (bTabbed) {		
			drawFillRect(im_screen,176,66,260,16,white);
			drawRect(im_screen,177,67,260,16,black);
			drawRect(im_screen,176,66,260,16,grey);
		}
		else {
			drawFillRect(im_screen,176,66,260,16,grey);
			drawRect(im_screen,177,67,260,16,black);
			drawRect(im_screen,176,66,260,16,grey);
		}
		drawText(font,im_screen,40, 50, "Search String:",sdlblack);
		drawText(font,im_screen,40, 70, "Replace with:",sdlblack);
		
		if (findtext.size() > nMaxinput) {
			if (!bTabbed) {
				if (inputcursor < findtext.size() - nMaxinput) textscroll = findtext.substr(inputcursor,nMaxinput);
				else textscroll = findtext.substr(findtext.size()-nMaxinput);
			}
			else textscroll = findtext.substr(0,nMaxinput);
		}else textscroll = findtext;
		drawText(font,im_screen,180,50, textscroll, sdlblack);
		if (!bTabbed) {
			//drawVline(im_screen,180+textscroll.size()*nCol, 48, nLine, cursorcol);
			if (findtext.size() <= nMaxinput) blx = 180+inputcursor*nCol;
			else {
				if (inputcursor < findtext.size() - nMaxinput) blx = 180;
				else blx = 180+(nMaxinput)*nCol-findtext.size()*nCol+inputcursor*nCol;
			}
			bly = 48;
			blh = nLine;
		}
		
		if (replacetext.size() > nMaxinput) {
			if (bTabbed) {
				if (inputcursor < replacetext.size() - nMaxinput) textscroll = replacetext.substr(inputcursor,nMaxinput);
				else textscroll = replacetext.substr(replacetext.size()-nMaxinput);
			}
			else textscroll = replacetext.substr(0,nMaxinput);
		}
		else textscroll = replacetext;
		drawText(font,im_screen,180,70, textscroll, sdlblack);
		if (bTabbed) {
			//drawVline(im_screen,180+textscroll.size()*nCol, 68, nLine, cursorcol);
			if (replacetext.size() <= nMaxinput) blx = 180+inputcursor*nCol;
			else {
				if (inputcursor < replacetext.size() - nMaxinput) blx = 180;
				else blx = 180+(nMaxinput)*nCol-replacetext.size()*nCol+inputcursor*nCol;
			}
			bly = 68;
			blh = nLine;
		}
		
		if (!bTabbed) drawText(font,im_screen,40,100, "Press Tab to input replacement text", sdlblue);
		else drawText(font,im_screen,40,100, "Press Tab to input search string", sdlblue);
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Enter to replace", sdlblue);
		drawText(font,im_screen,198,17,"Replace Text", sdlblack);
	}
	
	if (menumode == 10) {

		drawKeyboard(im_screen);
		drawMenuFrame(im_screen);
		
		drawFillRect(im_screen,176,46,260,16,white);
		drawRect(im_screen,177,47,260,16,black);
		drawRect(im_screen,176,46,260,16,grey);

		drawText(font,im_screen,40, 50, "Go to Line:",sdlblack);
		
		if (gotoline.size() > nMaxinput) textscroll = gotoline.substr(gotoline.size()-nMaxinput);
		else textscroll = gotoline;
		drawText(font,im_screen,180,50, textscroll, sdlblack);
		//drawVline(im_screen,180+textscroll.size()*nCol, 48, nLine, cursorcol);
		if (gotoline.size() <= nMaxinput) blx = 180+inputcursor*nCol;
		else blx = 180+nMaxinput*nCol;
		bly = 48;
		blh = nLine;
		
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Enter to jump to line", sdlblue);
		drawText(font,im_screen,222,17,"Go To", sdlblack);
	}
	
	if (menumode == 11) {
		drawMenuFrame(im_screen);
		
		if (colcursor == 1) drawTextShadowed(font,im_screen,40, 50, "Red:", sdlred);
		else drawText(font,im_screen,40, 50, "Red:" ,sdlblack);
		if (colcursor == 2) drawTextShadowed(font,im_screen,40, 70, "Green:", sdlgreen);
		else drawText(font,im_screen,40, 70, "Green:" ,sdlblack);
		if (colcursor == 3) drawTextShadowed(font,im_screen,40, 90, "Blue:", sdlblue);
		else drawText(font,im_screen,40, 90, "Blue:" ,sdlblack);
		sprintf(sizestring,"%d",bgcol.r);
		drawText(font,im_screen,365, 50, sizestring ,sdlblack);
		sprintf(sizestring,"%d",bgcol.g);
		drawText(font,im_screen,365, 70, sizestring ,sdlblack);
		sprintf(sizestring,"%d",bgcol.b);
		drawText(font,im_screen,365, 90, sizestring ,sdlblack);
		
		drawFillRect(im_screen,100,55,255,2,grey);
		drawFillRect(im_screen,100,75,255,2,grey);
		drawFillRect(im_screen,100,95,255,2,grey);
		
		drawFillRect(im_screen,99+bgcol.r,53,3,5,darkgrey);
		drawFillRect(im_screen,99+bgcol.g,73,3,5,darkgrey);
		drawFillRect(im_screen,99+bgcol.b,93,3,5,darkgrey);
		
		drawFillRect(im_screen,400,50,30,20,SDL_MapRGB(im_screen->format,bgcol.r,bgcol.g,bgcol.b));
		drawRect(im_screen,400,50,30,20,black);

		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Cross to select color", sdlblue);
		drawText(font,im_screen,184,17,"Background Color", sdlblack);
		blx = 0;
	}
	
	if (menumode == 12) {

		drawMenuFrame(im_screen);
		
		if (colcursor == 1) drawTextShadowed(font,im_screen,40, 50, "Red:", sdlred);
		else drawText(font,im_screen,40, 50, "Red:" ,sdlblack);
		if (colcursor == 2) drawTextShadowed(font,im_screen,40, 70, "Green:", sdlgreen);
		else drawText(font,im_screen,40, 70, "Green:" ,sdlblack);
		if (colcursor == 3) drawTextShadowed(font,im_screen,40, 90, "Blue:", sdlblue);
		else drawText(font,im_screen,40, 90, "Blue:" ,sdlblack);
		sprintf(sizestring,"%d",fgcol.r);
		drawText(font,im_screen,365, 50, sizestring ,sdlblack);
		sprintf(sizestring,"%d",fgcol.g);
		drawText(font,im_screen,365, 70, sizestring ,sdlblack);
		sprintf(sizestring,"%d",fgcol.b);
		drawText(font,im_screen,365, 90, sizestring ,sdlblack);
		
		drawFillRect(im_screen,100,55,255,2,grey);
		drawFillRect(im_screen,100,75,255,2,grey);
		drawFillRect(im_screen,100,95,255,2,grey);
		
		drawFillRect(im_screen,99+fgcol.r,53,3,5,darkgrey);
		drawFillRect(im_screen,99+fgcol.g,73,3,5,darkgrey);
		drawFillRect(im_screen,99+fgcol.b,93,3,5,darkgrey);
		
		drawFillRect(im_screen,400,50,30,20,SDL_MapRGB(im_screen->format,fgcol.r,fgcol.g,fgcol.b));
		drawRect(im_screen,400,50,30,20,black);
		
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Cross to select color", sdlblue);
		drawText(font,im_screen,205,17,"Text Color", sdlblack);
		blx = 0;
	}
	
	if (menumode == 13) {

		drawKeyboard(im_screen);
		drawMenuFrame(im_screen);
		
		drawFillRect(im_screen,176,46,260,16,white);
		drawRect(im_screen,177,47,260,16,black);
		drawRect(im_screen,176,46,260,16,grey);
		drawFillRect(im_screen,176,66,260,16,grey);
		drawRect(im_screen,177,67,260,16,black);
		drawRect(im_screen,176,66,260,16,grey);
		
		drawText(font,im_screen,40, 50, "New Name:",sdlblack);
		drawText(font,im_screen,40, 70, "Old Name:",sdlblack);
		
		if (renamefile.size() > nMaxinput) {
			if (inputcursor < renamefile.size() - nMaxinput) textscroll = renamefile.substr(inputcursor,nMaxinput);
			else textscroll = renamefile.substr(renamefile.size()-nMaxinput);
		}
		else textscroll = renamefile;
		drawText(font,im_screen,180,50, textscroll.c_str(), sdlblack);
		//drawVline(im_screen,181+textscroll.size()*nCol, 48, nLine, cursorcol);
		if (renamefile.size() <= nMaxinput) blx = 180+inputcursor*nCol;
		else {
			if (inputcursor < renamefile.size() - nMaxinput) blx = 180;
			else blx = 180+(nMaxinput)*nCol-renamefile.size()*nCol+inputcursor*nCol;
		}
		bly = 48;
		blh = nLine;
		
		if (oldfile.size() > nMaxinput) textscroll = oldfile.substr(0,nMaxinput);
		else textscroll = oldfile;
		drawText(font,im_screen,180,70, textscroll.c_str(), sdlblack);
		
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Enter to rename", sdlblue);

		drawText(font,im_screen,211,17,"Rename File", sdlblack);
	}
	
	if (menumode == 14) {
		drawMenuFrame(im_screen);
		
		drawFillRect(im_screen,176,46,260,16,grey);
		drawRect(im_screen,177,47,260,16,black);
		drawRect(im_screen,176,46,260,16,grey);

		drawText(font,im_screen, 40, 50, "Delete File:",sdlblack);
		if (deletefile.size() > nMaxinput) {
			textscroll = deletefile.substr(deletefile.size()-nMaxinput);
		}
		else {
			textscroll = deletefile;
		}
		drawText(font,im_screen,180,50, textscroll.c_str(), sdlblack);
		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Cross to delete", sdlblue);
		drawText(font,im_screen,194,17,"OK to delete?", sdlblack);
		blx = 0;
	}
	
	if (menumode == 18) {
		drawMenuFrame(im_screen);
		if (colcursor == 0) drawTextShadowed(font,im_screen,40,30,"Keyboard:", sdlwhite);
		else drawText(font,im_screen,40,30,"Keyboard:", sdlblack);
		if (nKeyset == 1) drawTextShadowed(font,im_screen,120,30,"Analog", sdlblue);
		else drawText(font,im_screen,120,30,"Analog", sdlblack);
		if (nKeyset == 2) drawTextShadowed(font,im_screen,182,30,"Digital", sdlblue);
		else drawText(font,im_screen,182,30,"Digital", sdlblack);
		if (nKeyset == 3) drawTextShadowed(font,im_screen,251,30,"2-Cursor", sdlblue);
		else drawText(font,im_screen,251,30,"2-Cursor", sdlblack);
		if (colcursor == 1) drawTextShadowed(font,im_screen,40, 50, "Digital:", sdlwhite);
		else drawText(font,im_screen,40, 50, "Digital:" ,sdlblack);
		if (colcursor == 2) drawTextShadowed(font,im_screen,40, 70, "Analog:", sdlwhite);
		else drawText(font,im_screen,40, 70, "Analog:" ,sdlblack);
		if (colcursor == 3) drawTextShadowed(font,im_screen,40, 90, "Button:", sdlwhite);
		else drawText(font,im_screen,40, 90, "Button:" ,sdlblack);
		sprintf(sizestring,"%d",waitdigital);
		drawText(font,im_screen,365, 50, sizestring ,sdlblack);
		sprintf(sizestring,"%d",waitanalog);
		drawText(font,im_screen,365, 70, sizestring ,sdlblack);
		sprintf(sizestring,"%d",waitpress);
		drawText(font,im_screen,365, 90, sizestring ,sdlblack);
		
		drawFillRect(im_screen,100,55,255,2,grey);
		drawFillRect(im_screen,100,75,255,2,grey);
		drawFillRect(im_screen,100,95,255,2,grey);
		
		drawFillRect(im_screen,99+waitdigital,53,3,5,darkgrey);
		drawFillRect(im_screen,99+waitanalog,73,3,5,darkgrey);
		drawFillRect(im_screen,99+waitpress,93,3,5,darkgrey);
		
		//drawFillRect(im_screen,400,50,30,20,SDL_MapRGB(im_screen->format,bgcol.r,bgcol.g,bgcol.b));
		//drawRect(im_screen,400,50,30,20,black);

		drawText(font,im_screen,40,120, "Press Select to cancel", sdlblue);
		drawText(font,im_screen,40,140, "Press Cross when done", sdlblue);
		drawText(font,im_screen,180,17,"Keyboard Settings", sdlblack);
		blx = 0;
	}
	
	if (menumode == CLOCK)
	{
		displayClock();
	}

	if (menumode == SETCLOCKMENU)
	{
		displaySetClock();
	}
	
	if (menumode == WORLDCLOCK)
	{
		displayWorldClock();
	}

	if (menu > 0 && mode >= KEYBOARD && mode <= FULLSCREEN) {
		/*
		drawFillRect(im_screen,0,0,480,10, grey);
		drawHline(im_screen,0,0,480, lightgrey);
		drawHline(im_screen,0,10,480,darkgrey);
		*/
		blit(im_screen, 0,0, img_menubar);
		if (menu == 1) {
			drawFillRect(im_screen,8,0,32,10,darkgrey);
		}
		if (menu == 2) {
			drawFillRect(im_screen,58,0,32,10,darkgrey);
		}
		if (menu == 3) {
			drawFillRect(im_screen,108,0,32,10,darkgrey);
		}
		if (menu == 4) {
			drawFillRect(im_screen,158,0,39,10,darkgrey);
		}
		drawText(font,im_screen,11,0, "File", sdlblack);
		drawText(font,im_screen,61,0, "Edit", sdlblack);
		drawText(font,im_screen,111,0, "View", sdlblack);
		if (isplaying) drawText(font,im_screen,161,0, "Music", sdlblack);
		else drawText(font,im_screen,161,0, "Music", sdldarkgrey);
		if (mode == 4) drawText(font,im_screen,211,0, "Image", sdlblack);
		blx = 0;
	}

	if (menu > 0 && mode == IMAGE) {
		displayImageViewerMenu(im_screen);
	}
	
	if (menu > 0 && (mode == APPLICATION || mode == ADDRESSBOOK || mode == CLOCK)) {
		/*
		drawFillRect(im_screen,0,0,480,10, grey);
		drawHline(im_screen,0,0,480, lightgrey);
		drawHline(im_screen,0,10,480,darkgrey);
		*/
		blit(im_screen, 0,0, img_menubar);
		if (menu == 1) {
			drawFillRect(im_screen,8,0,32,10,darkgrey);
		}
		if (menu == 3) {
			drawFillRect(im_screen,58,0,32,10,darkgrey);
		}
		if (menu == 4) {
			drawFillRect(im_screen,108,0,39,10,darkgrey);
		}
		drawText(font,im_screen,11,0, "File", sdlblack);
		drawText(font,im_screen,61,0, "View", sdlblack);
		if (isplaying) drawText(font,im_screen,111,0, "Music", sdlblack);
		else drawText(font,im_screen,111,0, "Music", sdldarkgrey);
	}	

	if (menu > 0 && mode == CALCULATOR) {
		/*
		drawFillRect(im_screen,0,0,480,10, grey);
		drawHline(im_screen,0,0,480, lightgrey);
		drawHline(im_screen,0,10,480,darkgrey);
		*/
		blit(im_screen, 0,0, img_menubar);
		if (menu == 1) {
			drawFillRect(im_screen,8,0,32,10,darkgrey);
		}
		if (menu == 3) {
			drawFillRect(im_screen,58,0,32,10,darkgrey);
		}
		if (menu == 4) {
			drawFillRect(im_screen,108,0,39,10,darkgrey);
		}
		if (menu == 6) {
			drawFillRect(im_screen,158,0,81,10,darkgrey);
		}
		drawText(font,im_screen,11,0, "File", sdlblack);
		drawText(font,im_screen,61,0, "View", sdlblack);
		if (isplaying) drawText(font,im_screen,111,0, "Music", sdlblack);
		else drawText(font,im_screen,111,0, "Music", sdldarkgrey);
		drawText(font,im_screen,161,0, "Conversions", sdlblack);
	}	

	if (menu > 0 && mode == CALENDAR) {
		/*
		drawFillRect(im_screen,0,0,480,10, grey);
		drawHline(im_screen,0,0,480, lightgrey);
		drawHline(im_screen,0,10,480,darkgrey);
		*/
		blit(im_screen, 0,0, img_menubar);
		if (menu == 1) {
			drawFillRect(im_screen,8,0,32,10,darkgrey);
		}
		if (menu == 3) {
			drawFillRect(im_screen,58,0,32,10,darkgrey);
		}
		if (menu == 4) {
			drawFillRect(im_screen,108,0,39,10,darkgrey);
		}
		if (menu == 6) {
			drawFillRect(im_screen,158,0,81,10,darkgrey);
		}
		drawText(font,im_screen,11,0, "File", sdlblack);
		drawText(font,im_screen,61,0, "View", sdlblack);
		if (isplaying) drawText(font,im_screen,111,0, "Music", sdlblack);
		else drawText(font,im_screen,111,0, "Music", sdldarkgrey);
	}			
	
	if (menu == 1) {
		menupos = 10;
		
		drawText(font,im_screen,menupos,0, "File", sdlwhite);

		drawDropmenu(im_screen, menupos, 11, 12, 10);
		
		drawFillRect(im_screen,menupos+6,menucursor*nLine+4, 4*nCol+nCol*12-8, nLine, blue);

		if (menucursor == 1) drawTextShadowed(font,im_screen,menupos+20,nLine+4, "New", sdlwhite);
		else drawText(font,im_screen,menupos+20,nLine+4, "New", sdlblack);
		
		if (menucursor == 2) drawTextShadowed(font,im_screen,menupos+20,2*nLine+4, "Open", sdlwhite);
		else drawText(font,im_screen,menupos+20,2*nLine+4, "Open", sdlblack);
		
		if (menucursor == 3) drawTextShadowed(font,im_screen,menupos+20,3*nLine+4, "Save", sdlwhite);
		else drawText(font,im_screen,menupos+20,3*nLine+4, "Save", sdlblack);
		
		if (menucursor == 4) {
			drawTextShadowed(font,im_screen,menupos+20,4*nLine+4, "USB", sdlwhite);
			if (usb) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}
		else {
			drawText(font,im_screen,menupos+20,4*nLine+4, "USB", sdlblack);
			if (usb) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}

		if (menucursor == 5) drawTextShadowed(font,im_screen,menupos+20,5*nLine+4, "Address Book", sdlwhite);
		else drawText(font,im_screen,menupos+20,5*nLine+4, "Address Book", sdlblack);
		if (menucursor == 6) drawTextShadowed(font,im_screen,menupos+20,6*nLine+4, "Calculator", sdlwhite);
		else drawText(font,im_screen,menupos+20,6*nLine+4, "Calculator", sdlblack);
		if (menucursor == 7) drawTextShadowed(font,im_screen,menupos+20,7*nLine+4, "Calendar", sdlwhite);
		else drawText(font,im_screen,menupos+20,7*nLine+4, "Calendar", sdlblack);
		if (menucursor == 8) drawTextShadowed(font,im_screen,menupos+20,8*nLine+4, "Clock", sdlwhite);
		else drawText(font,im_screen,menupos+20,8*nLine+4, "Clock", sdlblack);		
		if (menucursor == 9) drawTextShadowed(font,im_screen,menupos+20,9*nLine+4, "Applications", sdlwhite);
		else drawText(font,im_screen,menupos+20,9*nLine+4, "Applications", sdlblack);
		if (menucursor == 10) drawTextShadowed(font,im_screen,menupos+20,10*nLine+4, "Exit", sdlwhite);
		else drawText(font,im_screen,menupos+20,10*nLine+4, "Exit", sdlblack);		
	}
	
	if (menu == 2) {
		menupos = 60;
		drawText(font,im_screen,menupos,0, "Edit", sdlwhite);

		drawDropmenu(im_screen, menupos, 11, 15, 9);
		
		drawFillRect(im_screen,menupos+6,menucursor*nLine+4, 4*nCol+nCol*15-8, nLine, blue);		
		
		if (menucursor == 1) drawTextShadowed(font,im_screen,menupos+20, nLine+4, "Cut", sdlwhite);
		else drawText(font,im_screen,menupos+20, nLine+4, "Cut", sdlblack);
		
		if (menucursor == 2) drawTextShadowed(font,im_screen,menupos+20,2*nLine+4, "Copy", sdlwhite);
		else drawText(font,im_screen,menupos+20,2*nLine+4, "Copy", sdlblack);
		
		if (menucursor == 3) drawTextShadowed(font,im_screen,menupos+20,3*nLine+4, "Paste", sdlwhite);
		else drawText(font,im_screen,menupos+20,3*nLine+4, "Paste", sdlblack);
		
		if (menucursor == 4) drawTextShadowed(font,im_screen,menupos+20,4*nLine+4, "Clear", sdlwhite);
		else drawText(font,im_screen,menupos+20,4*nLine+4, "Clear", sdlblack);
		
		if (menucursor == 5) drawTextShadowed(font,im_screen,menupos+20,5*nLine+4, "Find", sdlwhite);
		else drawText(font,im_screen,menupos+20,5*nLine+4, "Find", sdlblack);
		
		if (menucursor == 6) drawTextShadowed(font,im_screen,menupos+20,6*nLine+4, "Replace", sdlwhite);
		else drawText(font,im_screen,menupos+20,6*nLine+4, "Replace", sdlblack);
		
		if (menucursor == 7) drawTextShadowed(font,im_screen,menupos+20,7*nLine+4, "Goto", sdlwhite);
		else drawText(font,im_screen,menupos+20,7*nLine+4, "Goto", sdlblack);
		
		if (menucursor == 8) drawTextShadowed(font,im_screen,menupos+20,8*nLine+4, "Toggle Bookmark", sdlwhite);
		else drawText(font,im_screen,menupos+20,8*nLine+4, "Toggle Bookmark", sdlblack);
		
		if (menucursor == 9) drawTextShadowed(font,im_screen,menupos+20,9*nLine+4, "Goto Bookmark", sdlwhite);
		else drawText(font,im_screen,menupos+20,9*nLine+4, "Goto Bookmark", sdlblack);
	}
			
	if (menu == 3) {
		if (mode > 0 && mode < 4) menupos = 110;
		if (mode >= 4 || mode == 0) menupos = 60;
		drawText(font,im_screen,menupos,0, "View", sdlwhite);

		drawDropmenu(im_screen, menupos, 11, 17, 10);
		
		drawFillRect(im_screen,menupos+6,menucursor*nLine+4, 4*nCol+nCol*17-8, nLine, blue);		
		
		if (menucursor == 1) drawTextShadowed(font,im_screen,menupos+20, nLine+4, "Full Screen", sdlwhite);
		else drawText(font,im_screen,menupos+20, nLine+4, "Full Screen", sdlblack);
		
		if (menucursor == 2) {
			drawTextShadowed(font,im_screen,menupos+20,2*nLine+4, "Keyboard Settings", sdlwhite);
		}
		else {
			drawText(font,im_screen,menupos+20,2*nLine+4, "Keyboard Settings", sdlblack);
		}
		if (menucursor == 3) {
			drawTextShadowed(font,im_screen,menupos+20,3*nLine+4, "Word Wrap 1", sdlwhite);
			if (wordwrap1) blit(im_screen,menupos+4,3*nLine+6,img_check);
		}
		else {
			drawText(font,im_screen,menupos+20,3*nLine+4, "Word Wrap 1", sdlblack);
			if (wordwrap1) blit(im_screen,menupos+4,3*nLine+6,img_check);
		}
		if (menucursor == 4) {
			drawTextShadowed(font,im_screen,menupos+20,4*nLine+4, "Word Wrap 2", sdlwhite);
			if (wordwrap2) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}
		else {
			drawText(font,im_screen,menupos+20,4*nLine+4, "Word Wrap 2", sdlblack);
			if (wordwrap2) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}
		if (menucursor == 5) {
			if (nFontsize > 10) drawTextShadowed(font,im_screen,menupos+20,5*nLine+4, "Font Size -", sdlwhite);
			else drawText(font,im_screen,menupos+20,5*nLine+4, "Font Size -", sdlgrey);
		}
		else {
			if (nFontsize > 10) drawText(font,im_screen,menupos+20,5*nLine+4, "Font Size -", sdlblack);
			else drawText(font,im_screen,menupos+20,5*nLine+4, "Font Size -", sdlgrey);
		}
		if (menucursor == 6) {
			if (nFontsize < 16) drawTextShadowed(font,im_screen,menupos+20,6*nLine+4, "Font Size +", sdlwhite);
			else drawText(font,im_screen,menupos+20,6*nLine+4, "Font Size +", sdlgrey);
		}
		else {
			if (nFontsize < 16) drawText(font,im_screen,menupos+20,6*nLine+4, "Font Size +", sdlblack);
			else drawText(font,im_screen,menupos+20,6*nLine+4, "Font Size +", sdlgrey);
		}
		if (menucursor == 7) drawTextShadowed(font,im_screen, menupos+20,7*nLine+4, "Background Color", sdlwhite);
		else drawText(font,im_screen,menupos+20,7*nLine+4,"Background Color", sdlblack);
		if (menucursor == 8) drawTextShadowed(font,im_screen, menupos+20,8*nLine+4, "Text Color", sdlwhite);
		else drawText(font,im_screen,menupos+20,8*nLine+4,"Text Color", sdlblack);
		if (menucursor == 9) drawTextShadowed(font,im_screen, menupos+20,9*nLine+4, "Toggle Bookmark", sdlwhite);
		else drawText(font,im_screen,menupos+20,9*nLine+4,"Toggle Bookmark", sdlblack);
		if (menucursor == 10) drawTextShadowed(font,im_screen, menupos+20,10*nLine+4, "Goto Bookmark", sdlwhite);
		else drawText(font,im_screen,menupos+20,10*nLine+4,"Goto Bookmark", sdlblack);			
	}
	if (menu == 4) {
		if (mode > 0 && mode < 4) menupos = 160;
		if (mode >= 4 || mode == 0) menupos = 110;
		drawText(font,im_screen,menupos,0, "Music", sdlwhite);

		drawDropmenu(im_screen, menupos, 11, 13, 6);
		
		drawFillRect(im_screen,menupos+6,menucursor*nLine+4, 4*nCol+nCol*13-8, nLine, blue);
		
		if (menucursor == 1) {
			drawTextShadowed(font,im_screen,menupos+20,nLine+4, "Open", sdlwhite);
		}
		else {
			drawText(font,im_screen,menupos+20,nLine+4, "Open", sdlblack);
		}
			
		if (menucursor == 2) {
			drawTextShadowed(font,im_screen,menupos+20,2*nLine+4, "Pause", sdlwhite);
			if (ispaused) blit(im_screen,menupos+4,2*nLine+6,img_check);
		}
		else {
			drawText(font,im_screen,menupos+20,2*nLine+4, "Pause", sdlblack);
			if (ispaused) blit(im_screen,menupos+4,2*nLine+6,img_check);
		}
		
		if (menucursor == 3) drawTextShadowed(font,im_screen,menupos+20,3*nLine+4, "Stop", sdlwhite);
		else drawText(font,im_screen,menupos+20,3*nLine+4, "Stop", sdlblack);
		
		if (menucursor == 4) {
			drawTextShadowed(font,im_screen,menupos+20,4*nLine+4, "Shuffled", sdlwhite);
			if (shuffled) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}
		else {
			drawText(font,im_screen,menupos+20,4*nLine+4, "Shuffled", sdlblack);
			if (shuffled) blit(im_screen,menupos+4,4*nLine+6,img_check);
		}
		if (menucursor == 5) drawTextShadowed(font,im_screen,menupos+20,5*nLine+4, "Play Next", sdlwhite);
		else drawText(font,im_screen,menupos+20,5*nLine+4, "Play Next", sdlblack);
		
		if (menucursor == 6) drawTextShadowed(font,im_screen,menupos+20,6*nLine+4, "Play Previous", sdlwhite);
		else drawText(font,im_screen,menupos+20,6*nLine+4, "Play Previous", sdlblack);
	}

		if (mode == CALCULATOR) {
			displayCalculatorMenu();
		}
			
} // end bmUpdate;		
		
		if (!bAlarm && isplaying && decoder->eos != 0) {
		    if (decoder->eos() == 1) {	// End of file, advance in playlist
				if (audindex == diraudio.size()-1) audindex = 0;
				else audindex++;
				decoder->stop();
				decoder->end();
				readfile = audiopath + "/" + diraudio[audindex];
				load_play(readfile.c_str());			
		    }
		}
		
		
		if ((blUpdate || bmUpdate) && mode != 4) {			
			blit(screen,0,0,im_screen);
		}
		
		if ((blUpdate || bmUpdate) && mode == 4) {
			if (menumode > 0 || menu > 0) blit(screen,0,0,im_screen);
		}		
		if ((blUpdate || bUpdate) && blx > 0 && menu == 0) drawVline(screen,blx,bly,blh, cursorcol);
		//drawText(font, screen, 300,0, asctime(tmTime), sdlblack);
		//endticks = SDL_GetTicks();
		SDL_Delay(1);
		if (blx == 0) blUpdate = false;
		//sprintf(sizestring,"%d %d %d",endticks - ticks, wait, waitslow);
		//sprintf(sizestring,"%d %d %d",blx,bly,blh);
		//drawText(font,screen,0,260,sizestring,sdlred);
		if ((blUpdate || bmUpdate)) SDL_Flip(screen);
		/*
		else if (bmUpdate) {
					SDL_Flip(screen);
				}
		*/
		bUpdate = false;
		bmUpdate = false;
		blUpdate = false;
	}
		
	SDL_FreeSurface(img_text);
	
	pspAudioEnd();

	return 0;
}
